# $Revision: 1.793.2.19 $, $Date: 2009/03/30 00:21:36 $
#
# Conditional build:
%bcond_without	smp		# don't build SMP kernel
%bcond_without	up		# don't build UP kernel
%bcond_without	boot		# don't build BOOT kernel
%bcond_without	source		# don't build source
%bcond_without	doc		# don't build documentation package
%bcond_without	grsec		# don't apply grsecurity patch
%bcond_with	um		# build USERMODE kernel
%bcond_with	win4lin		# apply the Win4Lin patches
%bcond_with	routes		# apply patch from http://www.ssi.bg/~ja/#routes-2.4
%bcond_with	epoll		# epoll patch (last updated for 2.4.32)

#
%ifnarch %{ix86}
%undefine	with_win4lin
%endif
#
%define		base_arch %{?with_um:um}%{!?with_um:%{_target_base_arch}}
%define		no_install_post_strip	1
%define		_enable_debug_packages	0
#
%define		pre_version		%{nil}
%define		netfilter_snap		20040302
%define		i2c_version		2.10.2
%define		drm_xfree_version	4.3.0

%define		basever	2.4.37
%define		postver	%{nil}
%define		rel	0.2
Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de.UTF-8):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(es.UTF-8):	Núcleo (Kernel) linux genérico
Summary(fr.UTF-8):	Le Kernel-Linux (La partie centrale du systeme)
Summary(ja.UTF-8):	Linux カーネル (Linux オペレーティングシステムの心臓部分)
Summary(pl.UTF-8):	Jądro Linuksa
Summary(pt_BR.UTF-8):	Kernel Linux (a parte central do sistema operacional Linux)
Name:		kernel24
# %{postver} in EXTRAVERSION causes userspace (glibc? modutils?) to freeze
Version:	%{basever}
Release:	%{rel}%{?with_um:um}
License:	GPL v2
Group:		Base/Kernel
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{basever}.tar.bz2
# Source0-md5:	e4197b25bfddacee61490921c885b2ec
Source1:	%{name}-autoconf.h
Source2:	%{name}-BuildASM.sh
Source3:	http://www.garloff.de/kurt/linux/dc395/dc395-141.tar.gz
# Source3-md5:	8ed492197244b6a772270417c66214d3
Source4:	http://hostopia.samba.org/samba/ftp/cifs-cvs/cifs-1.20c-2.4.tar.gz
# Source4-md5:	f3b96692f679239488de30f2bd896825
# 2.4.26 contains jfs with more recent fixes
#Source7:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfs-2.4-1.1.5.tar.gz
#Source10:	ftp://ftp.kernel.org/pub/linux/kernel/v2.4/patch-%{basever}%{postver}.bz2
## Source10-md5:	c0473f3040255e906344030b208ff23e
Source20:	%{name}-ia32.config
Source21:	%{name}-ia32-smp.config
Source30:	%{name}-amd64.config
Source31:	%{name}-amd64-smp.config
Source50:	%{name}-sparc.config
Source51:	%{name}-sparc-smp.config
Source60:	%{name}-sparc64.config
Source61:	%{name}-sparc64-smp.config
Source70:	%{name}-alpha.config
Source71:	%{name}-alpha-smp.config
Source80:	%{name}-ppc.config
Source81:	%{name}-ppc-smp.config
Source1000:	%{name}-addon.config
Source1001:	%{name}-netfilter.config
Source1002:	%{name}-grsec.config
Source2000:	%{name}-win4lin.config

# New features/updates/backports

# Essential stuff

#Patch0:		http://www.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.28-rc2.bz2
#Patch1:		http://www.kernel.org/pub/linux/kernel/v2.4/snapshots/patch-2.4.28-rc2-bk3.bz2
#Patch2:		2.4.28-pre3-remove_subversion_and_extraversion.patch

Patch3:		kernel-pldfblogo.patch

# from ftp://ftp.kernel.org/pub/linux/kernel/people/hvr/testing/
Patch10:	patch-cryptoloop-jari-2.4.22-rc2.0

# OpenS/WAN patches
Patch12:	http://www.openswan.org/download/openswan-2.4.7.kernel-2.4-klips.patch.gz
Patch13:	http://www.openswan.org/download/openswan-2.4.7.kernel-2.4-natt.patch.gz
Patch14:	kernel24-openswan-fix2.4.34.patch
Patch15:	linux-2.4.25-sched-O1.patch
# http://dl.sourceforge.net/user-mode-linux/uml-patch-2.4.27-1.bz2 updated for 2.4.29
Patch20:	uml-patch-2.4.27-1
Patch21:	linux-2.4-uml-o1.patch
# http://dl.sourceforge.net/user-mode-linux/host-skas3.patch
# http://www.user-mode-linux.org/~blaisorblade/patches/host-skas3-2.4.25.patch
Patch22:	host-skas3-against-uml.patch
# fix remaining (!x86) do_mmap_pgoff()/do_mmap2() occurrences and few other things
Patch23:	linux-2.4-post-uml-fixes.patch
Patch24:	linux-2.4-uml-proc_mm-perms.patch
# remaining parts from http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/2.4.32-libata1.patch.bz2
Patch25:	linux-2.4-libata.patch
# +additional pciids backported from 2.6.18-rc4
Patch26:	linux-2.4-libata-update.patch
# backports from 2.6.18-rc4
Patch27:	linux-2.4-ide-update.patch

# New filesystems

# http://acl.bestbits.at/
# updated from http://acl.bestbits.at/current/diff/ea+acl+nfsacl+sec-2.4.25-0.8.71.diff.gz
# note: 2.4.29-0.8.73 refers to <linux/security.h> non-existing in 2.4.x
Patch31:	ea+acl+nfsacl+sec-2.4.25-0.8.71.diff.gz
# http://oss.software.ibm.com/developerworks/patch/download.php?id=445
Patch32:	linux-2.4.26-jfs-acl.patch
# based on adds from ftp://oss.sgi.com/projects/xfs/patches/2.4.24-pre1/
# NEEDS BIG UPDATE (or drop?) - xfs in 2.4.27 is prepared for new DMAPI layer
#Patch33:	linux24-xfs-adds.patch
# http://dl.sourceforge.net/linux-ntfs/
Patch40:	linux-2.4.26-ntfs-2.1.6b.patch.bz2
Patch41:	linux-2.4-ntfs-gcc34.patch
# FC01_davfs_0.2.4.patch
Patch50:	linux-2.4.20-davfs-0.2.4.patch.bz2
# FC02_davfs__FUNCTION__.patch
Patch55:	linux-2.4.20-davfs-_FUNCTION_.patch
# ftp://ftp.suse.com/pub/people/mason/patches/data-logging/2.4.25/
# ftp://ftp.suse.com/pub/people/jeffm/reiserfs/aclea/v2.4/2.4.23/datalogging+quota/
Patch56:	01-reiserfs-free-blocks.diff.gz
Patch57:	02-akpm-b_journal_head-1.diff.gz
Patch58:	03-reiserfs-sync_fs-5.diff.gz
Patch59:	04-data-logging-40.diff.gz
Patch60:	05-write_times.diff.gz
Patch61:	06-reiserfs-quota-28.diff.gz
Patch62:	07-kinode-10.diff.gz
Patch63:	01-reiserfs-xattrs-2.4.23+datalogging+quota-03
Patch64:	02-reiserfs-acl-2.4.23+datalogging+quota-03
# http://dl.sourceforge.net/squashfs/squashfs-3.1.tar.gz /linux-2.4.32/squash3.1.patch (adapted)
Patch65:	linux-2.4-squashfs.patch
# from http://sci.felk.cvut.cz/nwd/linux/nwd-patch-2.4.19
Patch70:	nwd-2.4.21.patch
Patch80:	linux-2.4.25-intermezzo-acl.patch

# Networking

# ALWAYS use released patchomatic tarball (don't use CVS)
# DO NOT include patches:
# connbtes (we want CONNMARK); conntrack_arefcount, conntrack_locking;
# conntrack_nonat; nfnetlink-ctnetlink, owner-supgids, tcp-window-tracking
Patch100:	linux-2.4.26-netfilter-pom-ng-%{netfilter_snap}.patch
Patch101:	linux-2.4.26-netfilter-fixes.patch
# http://www.goldenhope.com.cn/source/050_conntrack_nat_oracle.patch
Patch103:	050_conntrack_nat_oracle.patch
Patch104:	%{name}-netfilter_pptp.patch
Patch105:	linux-2.4-ip_conntrack_oracle-endian.patch

# http://linux.1wt.eu/kernel/2.4/lkup/epoll-lt.html
Patch106:	kernel24-epoll-lt.patch

# http://ebtables.sourceforge.net/
Patch110:	ebtables-brnf-10_vs_2.4.31.diff.gz
# http://www.linuximq.net/
Patch120:	linux-2.4.26-imq.diff
# change network packet traveling, if NAT is enabled should go first there,
# next one should be IMQ device
Patch121:	linux-2.4.25-change-imq_with_nat.patch
# ftp://ftp.samba.org/pub/unpacked/ppp/linux/mppe/
Patch125:	linux-2.4.18-mppe.patch

# http://www.marvell.com/drivers/upload/install-8_40.tar.bz2
Patch126:	sk98lin_v8.40.2.3_2.4.33_patch

Patch130:	linux-2.4.22-tun-new-style.patch
# Static, Alternative Routes, Dead Gateway Detection, NAT
# http://www.ssi.bg/~ja/#routes-2.4
Patch136:	http://www.ssi.bg/~ja/routes-2.4.29-9.diff
# Wrr scheduler
Patch137:	wrr-linux-2.4.9.patch
# Esfq - extended version od SFQ scheduler
Patch138:	linux-2.4-esfq.patch
# http://l7-filter.sourceforge.net/
Patch139:	layer7-kernel2.4patch-v0.4.1a.patch.gz

# ATM bugfixes
# Patches by Chas Williams <chas@locutus.cmf.nrl.navy.mil>
# ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/
# - linux-2.4.21-atm_diffs.patch (outdated)
# - fore200e already in 0.3 version, needs update to 0.4
Patch151:	ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-kernel-diffs
Patch153:	linux-2.4.25-atmdd.patch

# New devices/drivers

# LVM2
# http://sources.redhat.com/dm/
# ftp://sources.redhat.com/pub/dm/device-mapper.1.01.05.tgz
Patch200:	linux-2.4.28-pre4-devmapper-ioctl.patch
Patch201:	linux-2.4.22-VFS-lock.patch

# EVMS additional patches (http://www.sourceforge.net/projects/evms/)
Patch205:	linux-2.4.32-evms-2.5.5.patch

#from http://dl.sourceforge.net/i810fb/linux-2.4.20-i810fb.diff.bz2
Patch210:	linux-2.4.21-I810FB.patch.gz

# Support for CDRW packet writing
Patch215:	kernel-cdrw-packet.patch
Patch216:	kernel-cd-mrw-2.patch

Patch235:	linux-2.4.20-audigy.patch.bz2
Patch240:	linux-2.4.20-ecc.patch
# i2c - http://secure.netroedge.com/~lm78/
# http://khali.linux-fr.org/devel/i2c/
# updated from http://khali.linux-fr.org/devel/i2c/linux-2.4.32/linux-2.4.32-i2c-%{i2c_version}-drivers-i2c.diff
Patch255:	linux-2.4.34-i2c-%{i2c_version}-drivers-i2c.diff
Patch256:	linux-2.4.21-i2c-headers.patch
Patch257:	linux-2.4.21-i2c-sparc64.patch
Patch265:	linux-2.4.20-e820.patch
# Syntax bug
Patch270:	dc395-tab.patch
# http://www.qlogic.com/
# from http://download.qlogic.com/drivers/30771/qla2x00-v7.05.00-dist.tgz, with hacked makefiles
Patch275:	linux-2.4-qla2xxx-7.05.00.patch.gz

# TV stuff from http://bytesex.org/
Patch301:	20_v4l2-2.4.26.diff.gz
Patch302:	30_video-buf-2.4.26.diff.gz
Patch303:	31_bt832-2.4.26.diff
Patch304:	31_i2c-2.4.26.diff
Patch305:	31_ir-input-2.4.26.diff
Patch306:	31_tuner-2.4.26.diff
Patch307:	32_bttv-2.4.26.diff
Patch308:	33_saa7134-2.4.26.diff
Patch309:	34_cx88-2.4.26.diff
Patch310:	35_documentation-2.4.26.diff

# AIC7XXX
# based on http://people.freebsd.org/~gibbs/linux/SRC/aic79xx-linux-2.4-20040522-tar.gz
Patch350:	linux-2.4-aic79xx-20040522.patch.gz

# from http://www.promise.com/support/file/driver/st6000src_1.30_01_0326.tgz
Patch360:	linux-2.4.26-promise-st6000.patch.bz2

# I18N stuff
# Adds a sysctl for controlling the default iocharset
Patch400:	%{name}-nls_default.patch

# ftp://ftp.suse.com/pub/people/stepan/bootsplash/kernel/
Patch450:	bootsplash-3.0.7-2.4.25.patch

# The following go last as they touch a lot of code
# and/or are on bcond and/or are ifarch

# Win4Lin
# from http://www.netraverse.com/member/downloads/kernel_patch.php
# edited http://www.netraverse.com/member/downloads/files/Kernel-Win4Lin3-2.4.26.patch
Patch900:	Kernel-Win4Lin3-2.4.26-pld.patch
Patch901:	http://www.netraverse.com/member/downloads/files/mki-adapter.patch

# http://openipmi.sourceforge.net/
Patch950:	linux-ipmi-2.4.22-v30.diff

# Assorted bugfixes

# jam - http://giga.cps.unizar.es/~magallon/linux/kernel/
Patch1000:	jam-04-clone-detached.patch
Patch1002:	jam-06-force-inline.patch
Patch1003:	jam-07-scsi-error-tmout.patch
Patch1006:	jam-10-highpage-init.patch
Patch1007:	jam-11-self_exec_id.patch
Patch1009:	jam-21-mem-barriers.patch
Patch1010:	jam-30-smptimers-A0.patch

Patch1102:	linux-2.4.20-lvm-updates.patch

# IrDA patch for broken IBM Latpops
Patch1104:	linux-2.4.21-irda-ibm.patch

# fix lun probing on multilun RAID chassis
Patch1106:	linux-scsi-debug-bug.patch

# This patch allows to create more than one sound device using alsa
# and devfs with two or more sound cards
Patch1111:	linux-sound_core.patch

Patch1151:	linux-2.4-atyfb-ragexl.patch
Patch1152:	linux-2.4.20-agp_uninorth.patch

Patch1201:	linux-2.4.21-cpqfc.patch
Patch1203:	linux-2.4.20-amd-golem.patch
Patch1205:	linux-53c7,8xx-build.fix
Patch1207:	linux-2.4.20-serverworks.patch

# disable some networking printk's
Patch1250:	linux-2.4.1-netdebug.patch
Patch1251:	linux-2.4.2-raw-ip.patch
Patch1253:	linux-proc_net_dev-counter-fix.patch
Patch1255:	linux-2.4.20-pre1-nr_frags.patch
Patch1256:	linux-serial-netmos.patch

Patch1301:	linux-2.4.18-hpfs.patch
Patch1302:	linux-2.4.18-nfs-default-size.patch
Patch1303:	linux-2.4.20-irixnfs.patch
# Tru64 NFS kludge
Patch1304:	linux-2.4.21-tru64nfs.patch
Patch1305:	linux-2.4.21-nfs-silly-rename.patch

Patch1350:	linux-2.4.21-nousb.patch
# from http://www.noc.uoa.gr/~avel/page.php?page=nokia&lang=en
Patch1354:	linux-2.4.20-Nokia5510.patch

# raid5 xor fix for PIII/P4, should go away shortly
Patch1400:	linux-2.4.0-raid5xor.patch
Patch1401:	linux-2.4.0-nonintconfig.patch
# Add an ioctl to the block layer so we can be EFI compliant
Patch1402:	linux-2.4.2-blkioctl-sector.patch
Patch1403:	linux-2.4.3-pcipenalty.patch
Patch1405:	linux-2.4.7-suspend.patch
Patch1407:	kernel-Makefile-include-fix.patch
Patch1408:	kernel-pswscancode.patch
Patch1410:	linux-2.4.18-input-35215.patch
Patch1411:	linux-2.4.18-kiobuf.patch
Patch1413:	linux-2.4.22-andrea-9980_fix-pausing-6.patch
Patch1415:	linux-mtd-missing-include-fix-2.4.7-pre6.patch
Patch1416:	linux-2.4.21-no-FPU.patch
Patch1418:	linux-2.4.21-hpt372-chicken-egg-hack.patch
Patch1419:	linux-2.4.21-agp-num_of_masks.patch
# fix spare disk counting for raid 5
Patch1420:	linux-raid5-spare-counting.patch
Patch1422:	linux-2.4.25-i875P.patch
# alloc c,10,63 for /dev/mapper/control
Patch1425:	linux-2.4-static-dev.patch

# "nopckeyb" option from http://linux.asio.pl/files/nopckeyb/nopckeyb-2.4.31.patch
# useful for PC Engines WRAP
Patch1427:	linux-2.4.31-nopckeyb.patch

Patch2000:	linux-PPC-SMP.patch
Patch2002:	kernel-2.4.18-SPARC64-PLD.patch
Patch2003:	linux-2.4.20-AXP-avma1_cs.patch
Patch2004:	linux-2.4.22-ppc-amd8111e.patch

Patch3000:	linux-2.4.1-compilefailure.patch
Patch3002:	linux-2.4.20-EXPORT_SYMBOL.patch
Patch3003:	linux-2.4.20-missing-license-tags.patch
Patch3011:	linux-2.4.22-gcc33-inline.patch
Patch3013:	linux-2.4.23-ppc-symbols.patch
Patch3014:	linux-2.4.26-fixes.patch
Patch3015:	linux24-cx88-noswitch.patch
Patch3016:	linux-2.4-ppc-asm.patch

# Security patches/fixes

Patch3600:	linux-2.4-sysctl-empty.patch
# from http://www.grsecurity.net/~spender/grsecurity-2.1.11-2.4.36-200801031900.patch
Patch4000:	grsecurity-2.1.11-2.4.36-200801031900.patch
Patch4001:	linux-2.4-grsecurity-norandombrk.patch

# dst cache overflow fixes
Patch5000:	2.4.29-dst_cache_overflow.patch

URL:		http://www.kernel.org/
%ifarch sparc64
%if "%{_target_base_arch}" != "%{_arch}"
BuildRequires:	crosssparc64-gcc >= 1:3.3
%endif
%endif
BuildRequires:	ed
%ifarch ppc
# for 2-argument tlbie used in ppc-asm patch (patch 3016)
BuildRequires:	binutils >= 2:2.12.1
BuildRequires:	gcc >= 2.95.3
%else
BuildRequires:	binutils >= 2.9.1.0.25
# old gcc needs patch 3015 (cx88-noswitch) on other archs too (at least x86)
BuildRequires:	gcc >= 5:3.3
%endif
#BuildRequires:	%{kgcc_package}
BuildRequires:	modutils
# _target_base_arch
BuildRequires:	/bin/resolvesymlink
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
Requires(post):	geninitrd >= 1354
Requires(post):	modutils
Requires(post,postun):	fileutils
Requires(postun):	awk
Requires:	geninitrd >= 1354
Requires:	modutils
Provides:	%{name}-up = %{version}-%{release}
Provides:	bttv = 0.7.83
Provides:	i2c = %{i2c_version}
Provides:	kernel(agpgart) = %{version}
#Provides:	kernel(cdmrw)
#Provides:	kernel(cdrw)
Provides:	kernel(netfilter) = 1.2.9-%{netfilter_snap}
Provides:	kernel(reiserfs) = %{version}
Provides:	kernel-up = %{version}-%{release}
Provides:	module-info
AutoReqProv:	no
Obsoletes:	kernel-modules
Conflicts:	device-mapper < 1.00.05
Conflicts:	e2fsprogs < 1.25
Conflicts:	iptables < 1.2.9
Conflicts:	jfsutils < 1.0.12
Conflicts:	linux-atm < 2.4.1
Conflicts:	lvm < 1.0.4
Conflicts:	modutils < 2.4.2
Conflicts:	quota < 3.09
Conflicts:	reiserfsprogs < 1:3.6.3
Conflicts:	util-linux < 2.10o
Conflicts:	xfsprogs < 2.6.0
# %{x8664} not included yet - needs port of some patches (O1, maybe grsec)
ExclusiveArch:	%{ix86} sparc sparc64 alpha ppc
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%description -l de.UTF-8
Das Kernel-Paket enthält den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist für grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Prozeß-Management, Geräte Ein- und Ausgaben, usw.

%description -l es.UTF-8
Este paquete contiene núcleo (kernel) Linux que se usa para arranque y
funcionamiento de tu sistema. Contiene soporte a pocos hardwares
específicos. La mayoría de los hardwares son soportados, vía módulos
que se cargan después del arranque.

%description -l fr.UTF-8
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un système d'exploitation Linux. Le noyau traite les
fonctions basiques d'un système d'exploitation: allocation mémoire,
allocation de process, entrée/sortie de peripheriques, etc.

%description -l ja.UTF-8
kernel パッケージには，Red Hat Linux オペレーティングシステムの心臓部分
とも言える Linux カーネル (vmlinuz) が含まれています．
カーネルは，メモリ管理，プロセス管理，デバイスの入出力等，オペレーティング
システムの基本的な部分を司ります．

%description -l pl.UTF-8
Pakiet zawiera jądro Linuksa niezbędne do prawidłowego działania
Twojego komputera. Zawiera w sobie sterowniki do sprzętu znajdującego
się w komputerze, takich jak karty muzyczne, sterowniki dysków, etc.

%description -l pt_BR.UTF-8
Este pacote contém o kernel Linux que é usado para inicialização e
funcionamento de seu sistema. Contém suporte a poucos hardwares
específicos. A maioria dos hardwares são suportados via módulos que
são carregados após a inicialização.

%package smp
Summary:	Kernel version %{version} compiled for SMP machines
Summary(de.UTF-8):	Kernel version %{version} für Multiprozessor-Maschinen
Summary(es.UTF-8):	Núcleo (kernel) compilado para máquinas SMP
Summary(fr.UTF-8):	Kernel version %{version} compiler pour les machine Multi-Processeur
Summary(ja.UTF-8):	SMP (対称マルチプロセッシング) 対応 Linux カーネル
Summary(pl.UTF-8):	Jądro Linuksa %{version} skompilowane dla maszyn wieloprocesorowych
Summary(pt_BR.UTF-8):	Kernel compilado para máquinas SMP
Group:		Base/Kernel
Requires(post):	geninitrd >= 1354
Requires(post):	modutils
Requires(post,postun):	fileutils
Requires(postun):	awk
Requires:	geninitrd >= 1354
Requires:	modutils
Provides:	%{name}-smp = %{version}-%{release}
Provides:	bttv = 0.7.83
Provides:	i2c = %{i2c_version}
Provides:	kernel(agpgart) = %{version}
#Provides:	kernel(cdmrw)
#Provides:	kernel(cdrw)
Provides:	kernel(netfilter) = 1.2.9-%{netfilter_snap}
Provides:	kernel(reiserfs) = %{version}
Provides:	kernel-smp = %{version}-%{release}
Provides:	module-info
AutoReqProv:	no
Conflicts:	device-mapper < 1.00.05
Conflicts:	e2fsprogs < 1.25
Conflicts:	iptables < 1.2.9
Conflicts:	jfsutils < 1.0.12
Conflicts:	linux-atm < 2.4.1
Conflicts:	lvm < 1.0.4
Conflicts:	modutils < 2.4.2
Conflicts:	quota < 3.09
Conflicts:	reiserfsprogs < 1:3.6.3
Conflicts:	util-linux < 2.10o
Conflicts:	xfsprogs < 2.6.0

%description smp
This package includes a SMP version of the Linux %{version} kernel. It
is required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

%description smp -l de.UTF-8
Dieses Paket enthält eine SMP (Multiprozessor)-Version von
Linux-Kernel %{version}. Es wird für Maschinen mit zwei oder mehr
Prozessoren gebraucht, sollte aber auch auf Computern mit nur einer
CPU laufen.

%description smp -l es.UTF-8
Núcleo (kernel) compilado para máquinas SMP

%description smp -l fr.UTF-8
Ce package inclu une version SMP du noyau de Linux version %{version}.
Il et nécessaire seulement pour les machine avec deux processeurs ou
plus, il peut quand même fonctionner pour les système mono-processeur.

%description smp -l ja.UTF-8
このパッケージには SMP 版の Linux カーネルが収められています．
このカーネルは 2個以上の CPU を搭載したマシンにのみ必要となりますが，
1CPU のマシンでも問題なく動作します．

あなたのマシンが 2個以上の CPU を搭載している場合は
kernel-smp パッケージをインストールしてください．

%description smp -l pl.UTF-8
Pakiet zawiera jądro SMP Linuksa w wersji %{version}. Jest ono
wymagane przez komputery zawierające dwa lub więcej procesorów.
Powinno również dobrze działać na maszynach z jednym procesorem.

%description smp -l pt_BR.UTF-8
Este pacote inclui uma versão SMP do kernel Linux versão %{version}.
Ele deve ser utilizado apenas em máquinas com dois ou mais
processadores, apesar de trabalhar perfeitamente em máquinas com
apenas um processador.

%package BOOT
Summary:	Kernel version %{version} used on the installation boot disks
Summary(de.UTF-8):	Kernel version %{version} für Installationsdisketten
Summary(es.UTF-8):	Núcleo (kernel) de Linux, utilizado en el disco de instalación
Summary(fr.UTF-8):	Kernel version %{version} utiliser pour les disquettes d'installation
Summary(ja.UTF-8):	インストーラ起動ディスクで使われる Linux カーネル
Summary(pl.UTF-8):	Jądro Linuksa %{version} dla bootkietek instalacyjnych
Summary(pt_BR.UTF-8):	Kernel Linux utilizado no disco de instalação
Group:		Base/Kernel
Requires(post,postun):	fileutils
Requires(postun):	awk
AutoReqProv:	no

%description BOOT
This package includes a trimmed down version of the Linux %{version}
kernel. This kernel is used on the installation boot disks only and
should not be used for an installed system, as many features in this
kernel are turned off because of the size constraints.

%description BOOT -l de.UTF-8
Dieses Paket enthält eine verkleinerte Version vom Linux-Kernel
version %{version}. Dieser Kernel wird auf den
Installations-Bootdisketten benutzt und sollte nicht auf einem
installierten System verwendet werden, da viele Funktionen wegen der
Platzprobleme abgeschaltet sind.

%description BOOT -l es.UTF-8
Núcleo (kernel) de Linux, utilizado en el disco de instalación

%description BOOT -l ja.UTF-8
このパッケージには余分な機能を削り落してサイズを小さくした
Linux カーネルが収められています．このカーネルはインストーラ
起動ディスクに使われるもので，既にインストールが終ったシステム上で
使う為のものでありません．サイズを小さくする為に多くの機能が
削られているからです．

%description BOOT -l pl.UTF-8
Pakiet zawiera jądro Linuksa dedykowane dyskietkom startowym i powinno
być używane jedynie podczas instalacji systemu. Wiele użytecznych
opcji zostało wyłączonych, aby jak najbardziej zmniejszyć jego
rozmiar.

%description BOOT -l pt_BR.UTF-8
Este pacote inclui uma versão minimizada do kernel Linux, criada para
ser utilizada *apenas* no disco de instalação, e não deve ser
utilizada em máquinas já instaladas, pois várias características do
kernel são desabilitadas para diminuir o tamanho final do kernel a ser
utilizado.

%package pcmcia
Summary:	PCMCIA modules
Summary(pl.UTF-8):	Moduły PCMCIA
Group:		Base/Kernel
Requires(postun):	%{name}-up = %{version}-%{release}
Requires:	%{name}-up = %{version}-%{release}
Provides:	kernel(pcmcia)

%description pcmcia
Kernel PCMCIA modules.

%description pcmcia -l pl.UTF-8
Moduły PCMCIA z kernela.

%package smp-pcmcia
Summary:	PCMCIA modules for SMP kernel
Summary(pl.UTF-8):	Moduły PCMCIA dla maszyn SMP
Group:		Base/Kernel
Requires(postun):	%{name}-smp = %{version}-%{release}
Requires:	%{name}-smp = %{version}-%{release}
Provides:	kernel(pcmcia)

%description smp-pcmcia
Kernel PCMCIA modules for SMP kernel.

%description smp-pcmcia -l pl.UTF-8
Moduły PCMCIA z kernela dla maszyn SMP.

%package drm
Summary:	DRM kernel modules
Summary(pl.UTF-8):	Sterowniki DRM
Group:		Base/Kernel
Requires(postun):	%{name}-up = %{version}-%{release}
Requires:	%{name}-up = %{version}-%{release}
Provides:	kernel-drm = %{drm_xfree_version}

%description drm
DRM kernel modules (%{drm_xfree_version}).

%description drm -l pl.UTF-8
Sterowniki DRM (%{drm_xfree_version}).

%package smp-drm
Summary:	DRM SMP kernel modules
Summary(pl.UTF-8):	Sterowniki DRM dla maszyn wieloprocesorowych
Group:		Base/Kernel
Requires(postun):	%{name}-smp = %{version}-%{release}
Requires:	%{name}-smp = %{version}-%{release}
Provides:	kernel-drm = %{drm_xfree_version}

%description smp-drm
DRM SMP kernel modules (%{drm_xfree_version}).

%description smp-drm -l pl.UTF-8
Sterowniki DRM dla maszyn wieloprocesorowych (%{drm_xfree_version}).

%package headers
Summary:	Header files for the Linux 2.4 kernel
Summary(es.UTF-8):	Archivos de inclusión para núcleo (kernel) Linux 2.4
Summary(ja.UTF-8):	Linux 2.4 カーネルのヘッダファイル
Summary(pl.UTF-8):	Pliki nagłówkowe jądra Linuksa 2.4
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o kernel Linux 2.4
Group:		Base/Kernel
Requires(post,postun):	fileutils
Requires(postun):	awk
Provides:	kernel24-headers(agpgart) = %{version}
Provides:	kernel24-headers(bridging) = %{version}
Provides:	kernel24-headers(netfilter) = 1.2.9-%{netfilter_snap}
Provides:	kernel24-headers(reiserfs) = %{version}
Provides:	kernel24-i2c-devel = %{i2c_version}
AutoReqProv:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when building most standard
programs under Linux, as well as to rebuild the kernel.

%description headers -l es.UTF-8
Estos son los archivos de inclusión C para núcleo (kernel) Linux, que
define estructuras y constantes que son necesarias a la construcción
de la mayoría de los programas en el Linux, como también para
reconstruir el núcleo (kernel).

%description headers -l ja.UTF-8
kernel-headers パッケージには Linux カーネルの C ヘッダファイルが
収められています．ヘッダファイルには，多くのプログラムをコンパイル
する際，或いはカーネルを再構築するのに必要な構造や制約が定義されています．

%description headers -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe jądra, niezbędne do rekompilacji jądra
oraz niektórych programów.

%description headers -l pt_BR.UTF-8
Estes são os arquivos de inclusão C para o kernel Linux, os quais
definem estruturas e constantes que são necessárias para a construção
da maioria dos programas no Linux, bem como para reconstruir o próprio
kernel.

%package source
Summary:	Linux kernel 2.4 source tree
Summary(es.UTF-8):	Fuentes del núcleo (kernel) Linux 2.4
Summary(ja.UTF-8):	Linux 2.4 カーネルのソースコード
Summary(pl.UTF-8):	Kod źródłowy jądra Linuksa 2.4
Summary(pt_BR.UTF-8):	Fontes do kernel Linux 2.4
Group:		Base/Kernel
Requires:	%{name}-headers = %{version}-%{release}
AutoReqProv:	no

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description source -l de.UTF-8
Das Kernel-Source-Paket enthält den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu compilieren, da sie auf Konstanten zurückgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien können auch
benutzt werden, um einen Kernel zu compilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l es.UTF-8
Este es el fuente para el núcleo (kernel) Linux. Se necesita para la
construcción de la mayoría de los programas C, pues dependen de
constantes definidas en él. Tu puedes también construir un núcleo
(kernel) personalizado que será lo mejor configurado para tu hardware
en particular.

%description source -l fr.UTF-8
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont nécessaires pour compiler la plupart des
programmes C, car il dépend de constantes définies dans le code
source. Les sources peuvent être aussi utilisée pour compiler un noyau
personnalisé pour avoir de meilleures performances sur des matériels
particuliers.

%description source -l ja.UTF-8
kernel-source パッケージには Linux カーネルのソースコードが含まれて
います．カーネルのソースコードは多くの C プログラムの作成に必要です．
カーネルのソースコードに定義されている制限に依存することがあるからです．
このソースコードを使って，あなたのシステム向けにチューンアップした
カスタムカーネルを作成することもできます．

%description source -l pl.UTF-8
Pakiet zawiera kod źródłowy jądra Linuksa.

%description source -l pt_BR.UTF-8
Este é o fonte para o kernel Linux. É necessário para a construção da
maioria dos programas C, pois eles dependem de constantes definidas
nele. Você também pode construir um kernel personalizado que será
melhor configurado para seu hardware particular.

%package doc
Summary:	Kernel documentation
Summary(es.UTF-8):	Documentación para los archivos fuente del núcleo (kernel) de Linux
Summary(ja.UTF-8):	カーネルソースに含まれる様々なドキュメント
Summary(pl.UTF-8):	Dokumentacja do jądra Linuksa
Summary(pt_BR.UTF-8):	Documentação para os arquivos fontes do kernel Linux
Group:		Base/Kernel
AutoReqProv:	no

%description doc
This is the documentation for the Linux kernel, as found in
%{_prefix}/src/linux*/Documentation directory.

%description doc -l es.UTF-8
Documentación para los archivos fuente del núcleo (kernel) de Linux

%description doc -l ja.UTF-8
このパッケージにはカーネルソースに含まれているドキュメントが
収められています．Linux カーネルやデバイスドライバに関する様々な
情報がこのドキュメントには記されています．

Linux カーネルモジュールを読み込む際の引数を調べたい場合等，
このパッケージをインストールすると良いでしょう．

%description doc -l pl.UTF-8
Pakiet zawiera dokumentację jądra z katalogu
%{_prefix}/src/linux*/Documentation.

%description doc -l pt_BR.UTF-8
Este pacote contém documentação para o kernel Linux.

%prep
%setup -q -n linux-%{basever} -a3 -a4
%if "%{postver}" != "%{nil}"
%{__bzip2} -dc %{SOURCE10} | patch -s -p1
%endif
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%patch3 -p1
%patch10 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch31 -p1
%patch32 -p1
#%patch33 -p1
%patch40 -p1
%patch41 -p1
%patch50 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch70 -p1
%patch80 -p1
%patch100 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%{?with_epoll:%patch106 -p1}
%patch110 -p1
%patch120 -p1
%patch101 -p1
%patch121 -p1
%patch125 -p1
%patch126 -p1
%patch130 -p1
%{?with_routes:%patch136 -p1}
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch151 -p1
%patch153 -p1
%patch200 -p1
%patch201 -p1
%patch205 -p1
%patch210 -p1
# mtrainer, problematic with some LG cdroms
#%patch215 -p1
#%patch216 -p1
%patch235 -p1
%patch240 -p1
%patch255 -p1
%patch256 -p1
%patch257 -p1
%patch265 -p1
%patch275 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch310 -p1
%patch350 -p1
%patch360 -p1
%patch400 -p1
%patch950 -p1
%patch1000 -p1
%patch1002 -p1
%patch1003 -p1
%patch1006 -p1
%patch1007 -p1
%patch1009 -p1
%patch1010 -p1
%patch1102 -p1
%patch1104 -p0
%patch1106 -p0
%patch1111 -p1
%patch1151 -p1
%patch1152 -p1
%patch1201 -p1
%patch1203 -p1
%patch1205 -p1
%patch1207 -p1
%patch1250 -p1
%patch1251 -p1
%patch1253 -p1
%patch1255 -p1
%patch1256 -p1
# .27, there were some hpfs fixes, is this patch still needed?
#%patch1301 -p1
%patch1302 -p1
%patch1303 -p1
%patch1304 -p1
%patch1305 -p1
%patch1350 -p1
%patch1354 -p1
%patch1400 -p1
%patch1401 -p1
%patch1402 -p1
%patch1403 -p1
%patch1405 -p1
%patch1407 -p1
%patch1408 -p1
%patch1410 -p1
%patch1411 -p1
%patch1413 -p1
%patch1415 -p0
%patch1416 -p1
%patch1418 -p1
%patch1419 -p1
%patch1420 -p1
%patch1422 -p1
%patch1425 -p1
%patch1427 -p1

%patch2000 -p0
%patch2002 -p1
%patch2003 -p1
%ifarch ppc
%patch2004 -p1
%endif

%patch3000 -p1
%patch3002 -p1
%patch3003 -p1

%patch3011 -p1
%patch3013 -p1
%patch3014 -p1
%ifarch ppc
%patch3015 -p1
%endif
%patch3016 -p1

# security fixes

%patch3600 -p1
%{?with_grsec:%patch4000 -p1}
%{?with_grsec:%patch4001 -p1}

# Tekram DC395/315 U/UW SCSI host driver
echo Adding Tekram DC395/315 driver
patch -p1 -s < dc395/dc395-integ24.diff
install dc395/dc395x_trm.? dc395/README.dc395x drivers/scsi/
%patch270 -p1

%patch450 -p1

# The following go last as they touch a lot of code
# and/or are on bcond and/or are ifarch

%if %{with win4lin}
echo Win4Lin patch ...
%patch900 -p1
%patch901 -p1
%endif

# dst overflow fix
%patch5000 -p1

mv linux/fs/cifs fs
patch -p1 < linux/cifs_24.patch
rm -rf linux

# Remove -g from drivers/atm/Makefile and net/ipsec/Makefile
sed -i -e 's/EXTRA_CFLAGS.*-g//g' net/ipsec/Makefile

# Fix EXTRAVERSION and CC in main Makefile
sed -i -e 's/EXTRAVERSION =.*/EXTRAVERSION = -%{release}/g' Makefile
%ifarch %{ix86} %{x8664} alpha sparc ppc
sed -i -e 's#CC.*$(CROSS_COMPILE)gcc#CC            = %{__cc}#g' Makefile
%endif
%ifarch sparc64
sed -i -e 's#CC.*$(CROSS_COMPILE)gcc#CC		= sparc64-pld-linux-gcc#g' Makefile
sed -i -e 's#sparc64-linux#sparc64-pld-linux#g' arch/sparc64/Makefile
%endif

%if %{with um}
ln -s ../arch/um/include/sysdep include
ln -s ../arch/um/include/choose-mode.h include
ln -s ../arch/um/kernel/skas/include/ptrace-skas.h include
ln -s ../arch/um/kernel/skas/include/skas_ptregs.h include
ln -s ../arch/um/kernel/tt/include/ptrace-tt.h include
ln -s ../arch/um/include/skas_ptrace.h include
ln -s ../arch/um/include/um_mmu.h include
ln -s ../arch/um/include/um_uaccess.h include
ln -s ../arch/um/include/uml-config.h include
ln -s ../arch/um/include/uml_uaccess.h include
install -d kernel/{skas,tt}/include
ln -s ../../../arch/um/kernel/skas/include/mmu.h kernel/skas/include
ln -s ../../../arch/um/kernel/skas/include/uaccess.h kernel/skas/include
ln -s ../../../arch/um/kernel/tt/include/mmu.h kernel/tt/include
ln -s ../../../arch/um/kernel/tt/include/uaccess.h kernel/tt/include
%endif

%build
%if "%{_target_base_arch}" != "%{_arch}"
%define Opts ARCH=%{_target_base_arch} CROSS_COMPILE="%{_target_cpu}-pld-linux-" OURCC="gcc"
%else
%ifarch %{ix86} alpha sparc ppc
%define Opts OURCC="%{__cc}"
%endif
%ifarch sparc64
%define Opts OURCC="sparc64-pld-linux-gcc"
%endif
%endif

BuildKernel() {
	set -x
	# is this a special kernel we want to build?
	BOOT=
	smp=
	[ "$1" = "BOOT" -o "$2" = "BOOT" ] && BOOT=yes
	[ "$1" = "smp" -o "$2" = "smp" ] && smp=yes
	# Fix EXTRAVERSION in main Makefile
	sed -i -e "s/EXTRAVERSION =.*/EXTRAVERSION = -%{release}$1/g" Makefile
%if %{with um}
	if [ "$smp" = "yes" ]; then
		Config="um-smp"
	else
		Config="um"
	fi
%else
%ifarch %{ix86}
	if [ "$smp" = "yes" ]; then
		Config="ia32-smp"
	else
		Config="ia32"
	fi
%else
	if [ "$smp" = "yes" ]; then
		Config="%{_target_cpu}-smp"
	else
		Config="%{_target_cpu}"
	fi
%endif
%endif
	if [ "$BOOT" = "yes" ]; then
		KernelVer=%{version}-%{release}BOOT
	else
		KernelVer=%{version}-%{release}$1
	fi
	echo "BUILDING KERNEL $*..."
	:> arch/%{base_arch}/defconfig
	cat $RPM_SOURCE_DIR/%{name}-$Config.config >> arch/%{base_arch}/defconfig
%if !%{with um}
%ifarch i386
	echo "CONFIG_M386=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i586
	echo "CONFIG_M586=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i686
	echo "CONFIG_M686=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch pentium3
	echo "CONFIG_MPENTIUMIII=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch pentium4
	echo "CONFIG_MPENTIUM4=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch athlon
	echo "CONFIG_MK7=y" >> arch/%{base_arch}/defconfig
%endif
%endif
	cat %{SOURCE1000} >> arch/%{base_arch}/defconfig
	cat %{SOURCE1001} >> arch/%{base_arch}/defconfig

%ifarch sparc64
	sed -i -e 's/^CONFIG_FB_I810=.*/# CONFIG_FB_I810 is not set/g' \
		arch/%{base_arch}/defconfig
%endif

	if [ "$BOOT" = "yes" ] ; then
		echo "# CONFIG_GRKERNSEC is not set" >> arch/%{base_arch}/defconfig
	else
		:;
%if %{with grsec}
		sed -i -e 's/CONFIG_CRYPTO_SHA256=m/CONFIG_CRYPTO_SHA256=y/g' \
			arch/%{base_arch}/defconfig
		cat %{SOURCE1002} >> arch/%{base_arch}/defconfig
%endif
	fi
%ifarch %{ix86}
	cat %{SOURCE2000} >> arch/%{base_arch}/defconfig
%endif

%ifarch i386 i486
	sed -i -e 's/# CONFIG_MATH_EMULATION is not set/CONFIG_MATH_EMULATION=y/g' \
		arch/%{base_arch}/defconfig
%endif

	%{__make} %Opts mrproper
	ln -sf arch/%{base_arch}/defconfig .config

%ifarch sparc
	sparc32 %{__make} %Opts oldconfig %{?with_um:ARCH=um}
	sparc32 %{__make} %Opts dep clean %{?with_um:ARCH=um}
%else
	%{__make} %Opts oldconfig %{?with_um:ARCH=um}
	%{__make} %Opts dep clean %{?with_um:ARCH=um}
%endif
	%{__make} %Opts include/linux/version.h %{?with_um:ARCH=um}

# making table for soundmodem.
	cd drivers/net/hamradio/soundmodem
	%{__cc} -o gentbl -lm gentbl.c
	./gentbl
	cd ../../../..

%if %{with um}
	%{__make} %Opts linux ARCH=um
%else
%ifarch %{ix86} %{x8664}
	%{__make} %Opts bzImage
%endif
%ifarch sparc
	sparc32 %{__make} %Opts boot
%else
%ifarch sparc64
	%{__make} %Opts vmlinux image
%else
%ifnarch %{ix86} %{x8664}
	%{__make} %Opts
%endif
%endif
%endif
%endif
%ifarch sparc
	sparc32 %{__make} %Opts modules %{?with_um:ARCH=um}
%else
	%{__make} %Opts modules %{?with_um:ARCH=um}
%endif

	mkdir -p $KERNEL_INSTALL_DIR/boot
	install System.map $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer
%if %{with um}
	install -d $KERNEL_INSTALL_DIR%{_bindir}
	install linux $KERNEL_INSTALL_DIR%{_bindir}/linux-$KervelVer
%else
%ifarch %{ix86} %{x8664}
	cp arch/i386/boot/bzImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch alpha sparc sparc64
	gzip -cfv vmlinux > vmlinuz
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinuz $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch sparc64
	install arch/sparc64/boot/image $KERNEL_INSTALL_DIR/boot/vmlinux.aout-$KernelVer
%endif
%ifarch ppc
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%endif
%ifarch sparc
	sparc32 %{__make} %Opts modules_install \
	%{?with_um:ARCH=um} \
	INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
	KERNELRELEASE=$KernelVer
	echo KERNEL RELEASE $KernelVer
%else
	%{__make} %Opts modules_install \
	%{?with_um:ARCH=um} \
	INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
	KERNELRELEASE=$KernelVer
	echo KERNEL RELEASE $KernelVer
%endif
	echo "CHECKING DEPENDENCIES FOR KERNEL MODULES"
	/sbin/depmod --basedir $KERNEL_INSTALL_DIR -ae -F $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer -r $KernelVer || echo
}

KERNEL_BUILD_DIR=$(pwd)
KERNEL_INSTALL_DIR=$KERNEL_BUILD_DIR-installed
rm -rf $KERNEL_INSTALL_DIR
install -d $KERNEL_INSTALL_DIR

# make drivers/scsi/ missing files
#	(cd drivers/scsi; make -f M)

# UP KERNEL
%{?with_up:BuildKernel}

# SMP KERNEL
%{?with_smp:BuildKernel smp}

%if %{without up} && %{without smp}
# We need include/asm created somewhere
%{__make} %Opts symlinks
%endif

# BOOT kernel
%ifnarch i586 i686 pentium3 pentium4 athlon
KERNEL_INSTALL_DIR="$KERNEL_BUILD_DIR-installed%{_libdir}/bootdisk"
rm -rf $KERNEL_INSTALL_DIR
%{?with_boot:BuildKernel BOOT}
%endif

%install
rm -rf $RPM_BUILD_ROOT
umask 022

sed -i -e 's#CC.*$(CROSS_COMPILE)$(OURCC)#CC	= $(CROSS_COMPILE)gcc#g' Makefile

install -d $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}

KERNEL_BUILD_DIR=$(pwd)

KERNEL_BUILD_INSTALL=no
%{?with_up:KERNEL_BUILD_INSTALL=yes}
%{?with_smp:KERNEL_BUILD_INSTALL=yes}
[ "$KERNEL_BUILD_INSTALL" = "yes" ] && cp -a $KERNEL_BUILD_DIR-installed/* $RPM_BUILD_ROOT

for i in "" smp; do
	install -d $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/misc
	if [ -e $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i ] ; then
		rm -f $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
		ln -sf %{_prefix}/src/linux-%{version} \
			$RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
	fi

	# just symlinks. we package real modules
	rm -rf $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/pcmcia
done

sed -i -e 's/EXTRAVERSION =.*/EXTRAVERSION = -%{release}/g' Makefile
%if %{with source}
cp -a . $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}
%else
cp -a {include,scripts,Makefile,Rules.make,Documentation} $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}
%endif

cd $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}

# remove foreign architecture files
cd include
mkdir _asm_keep
mv asm-generic _asm_keep
%ifarch sparc sparc64
	mv asm-sparc* _asm_keep
%else
	mv `resolvesymlink asm 2> /dev/null || readlink asm 2> /dev/null` _asm_keep
%endif
rm -rf asm-*
mv _asm_keep/* .
rmdir _asm_keep
cd ..

%if %{with source}
MYARCH=%{_arch}
%ifarch %{ix86}
MYARCH=i386
%endif
%ifarch sparc sparc64
MYARCH="sparc sparc64"
%endif
cd arch
mv $MYARCH ..
cd ..
rm -rf arch/*
mv $MYARCH arch
%endif

%if %{with source}
%{__make} %Opts mrproper

find -name "*~" -print | xargs rm -f
find -name "*.orig" -print | xargs rm -f

# make config-up
%ifarch %{ix86}
cat $RPM_SOURCE_DIR/%{name}-ia32.config > .config
%else
install $RPM_SOURCE_DIR/%{name}-%{_target_cpu}.config .config
%endif

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch pentium3
echo "CONFIG_MPENTIUMIII=y" >> .config
%endif
%ifarch pentium4
echo "CONFIG_MPENTIUM4=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif
cat %{SOURCE1000} >> .config
cat %{SOURCE1001} >> .config
%{?with_grsec:cat %{SOURCE1002} >> .config}

%ifarch sparc64
	sed -i -e 's/^CONFIG_FB_I810=.*/# CONFIG_FB_I810 is not set/g' \
		.config
%endif

%ifarch %{ix86}
cat %{SOURCE2000} >> .config
%endif

%ifarch sparc
sparc32 %{__make} %Opts oldconfig
%else
%{__make} %Opts oldconfig
%endif

mv include/linux/autoconf.h include/linux/autoconf-up.h
cp .config config-up

# make config-smp
%ifarch %{ix86}
cat $RPM_SOURCE_DIR/%{name}-ia32-smp.config > .config
%else
install $RPM_SOURCE_DIR/%{name}-%{_target_cpu}-smp.config .config
%endif

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch pentium3
echo "CONFIG_MPENTIUMIII=y" >> .config
%endif
%ifarch pentium4
echo "CONFIG_MPENTIUM4=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif

cat %{SOURCE1000} >> .config
cat %{SOURCE1001} >> .config
%{?with_grsec:cat %{SOURCE1002} >> .config}

%ifarch sparc64
	sed -i -e 's/^CONFIG_FB_I810=.*/# CONFIG_FB_I810 is not set/g' \
		.config
%endif

%ifarch %{ix86}
cat %{SOURCE2000} >> .config
%endif

%ifarch sparc
sparc32 %{__make} %Opts oldconfig
%else
%{__make} %Opts oldconfig
%endif
mv include/linux/autoconf.h include/linux/autoconf-smp.h
cp .config config-smp
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/include/linux/autoconf.h

%if %{with source}
# this generates modversions info which we want to include and we may as
# well include the depends stuff as well
%{__make} %Opts symlinks
%{__make} %Opts include/linux/version.h
%endif
rm -f include/linux/modversions.h
echo "#include <linux/modsetver.h>" > include/linux/modversions.h

# this generates modversions info which we want to include and we may as
# well include the depends stuff as well, after we fix the paths

%if %{with source}
%{__make} %Opts depend
find $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version} -name ".*depend" | xargs sed -i -e "s|$RPM_BUILD_ROOT||g"

%{__make} %Opts clean
rm -f scripts/mkdep
rm -f drivers/net/hamradio/soundmodem/gentbl
%endif

%{__sed} -i -e 's/#define UTS_RELEASE.*/#if !defined(__KERNEL_SMP)\n#define UTS_RELEASE "%{version}-%{release}"\n#else\n#define UTS_RELEASE "%{version}-%{release}smp"\n#endif/' $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/include/linux/version.h

# BOOT
%if %{with boot}
%ifnarch i586 i686 pentium3 pentium4 athlon
install -d $RPM_BUILD_ROOT%{_libdir}/bootdisk
cp -rdp $KERNEL_BUILD_DIR-installed%{_libdir}/bootdisk/* $RPM_BUILD_ROOT%{_libdir}/bootdisk
%endif
%endif

rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/.config.old
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/README.openswan-2
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/Makefile
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/Makefile.dc395
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/README.dc395x
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395-integ20.diff
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395-integ22.diff
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395-integ24.diff
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395-integ25.diff
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395x_trm.c
rm -f $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}/dc395/dc395x_trm.h

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/linux-%{version}-installed

%triggerin -- %{name} < 2.4.27-1.6
# backward compatibility, same for smp
mv -f /boot/vmlinuz	/boot/vmlinuz.old	2>/dev/null || :
mv -f /boot/System.map	/boot/System.map.old	2>/dev/null || :
mv -f /boot/initrd	/boot/initrd.old	2>/dev/null || :
ln -sf vmlinuz24	/boot/vmlinuz
ln -sf System.map24	/boot/System.map
ln -sf initrd24		/boot/initrd

%post
mv -f /boot/vmlinuz24 /boot/vmlinuz24.old 2>/dev/null || :
mv -f /boot/System.map24 /boot/System.map24.old 2>/dev/null || :
ln -sf vmlinuz-%{version}-%{release} /boot/vmlinuz24
ln -sf System.map-%{version}-%{release} /boot/System.map24

umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}.gz %{version}-%{release}
mv -f /boot/initrd24 /boot/initrd24.old 2>/dev/null || :
ln -sf initrd-%{version}-%{release}.gz /boot/initrd24

if [ -f %{_prefix}/src/linux-%{version}/config-up ] ; then
	ln -sf %{_prefix}/src/linux-%{version}/config-up %{_prefix}/src/linux-%{version}/.config
fi

if [ -x /sbin/rc-boot ] ; then
	/sbin/rc-boot 1>&2 || :
fi

%postun
rm -f /boot/initrd-%{version}-%{release}.gz

%triggerin smp -- %{name}-smp < 2.4.27-1.6
# backward compatibility, same for up
mv -f /boot/vmlinuz	/boot/vmlinuz.old	2>/dev/null || :
mv -f /boot/System.map	/boot/System.map.old	2>/dev/null || :
mv -f /boot/initrd	/boot/initrd.old	2>/dev/null || :
ln -sf vmlinuz24	/boot/vmlinuz
ln -sf System.map24	/boot/System.map
ln -sf initrd24		/boot/initrd

%post smp
mv -f /boot/vmlinuz24 /boot/vmlinuz24.old 2>/dev/null || :
mv -f /boot/System.map24 /boot/System.map24.old 2>/dev/null || :
ln -sf vmlinuz-%{version}-%{release}smp /boot/vmlinuz24
ln -sf System.map-%{version}-%{release}smp /boot/System.map24

umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}smp.gz %{version}-%{release}smp
mv -f /boot/initrd24 /boot/initrd24.old 2>/dev/null || :
ln -sf initrd-%{version}-%{release}smp.gz /boot/initrd24

if [ -f %{_prefix}/src/linux-%{version}/config-smp ] ; then
	ln -sf %{_prefix}/src/linux-%{version}/config-smp %{_prefix}/src/linux-%{version}/.config
fi

if [ -x /sbin/rc-boot ] ; then
	/sbin/rc-boot 1>&2 || :
fi

%postun smp
rm -f /boot/initrd-%{version}-%{release}smp.gz

%post BOOT
if [ -e %{_libdir}/bootdisk/boot/vmlinuz-%{version} ]; then
	if [ ! -L %{_libdir}/bootdisk/boot/vmlinuz-%{version} ] ; then
		mv -f %{_libdir}/bootdisk/boot/vmlinuz-%{version} %{_libdir}/bootdisk/boot/vmlinuz-%{version}.rpmsave 2>/dev/null
	else
		rm -f %{_libdir}/bootdisk/boot/vmlinuz-%{version}
	fi
fi
ln -snf vmlinuz-%{version}-%{release}BOOT %{_libdir}/bootdisk/boot/vmlinuz-%{version}

%post pcmcia
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun pcmcia
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%post smp-pcmcia
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-pcmcia
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&1

%post drm
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun drm
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%post smp-drm
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-drm
umask 022
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&1

%post headers
rm -f %{_prefix}/src/linux-2.4
ln -snf linux-%{version} %{_prefix}/src/linux-2.4

%postun headers
if [ -L %{_prefix}/src/linux-2.4 ]; then
	if [ "`ls -l %{_prefix}/src/linux-2.4 | awk '{ print $11 }'`" = "linux-%{version}" ]; then
		if [ "$1" = "0" ]; then
			rm -f %{_prefix}/src/linux-2.4
		fi
	fi
fi

%if %{with up}
%files
%defattr(644,root,root,755)
%ifarch alpha sparc sparc64 ppc
/boot/vmlinux-%{version}-%{release}
%endif
/boot/vmlinuz-%{version}-%{release}
%ifarch sparc64
/boot/vmlinux.aout-%{version}-%{release}
%endif
/boot/System.map-%{version}-%{release}
%dir /lib/modules/%{version}-%{release}
/lib/modules/%{version}-%{release}/build
/lib/modules/%{version}-%{release}/kernel
%dir /lib/modules/%{version}-%{release}/misc
%ifnarch sparc sparc64
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/ide/legacy/*-cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/bluetooth/*_cs.o*
%endif
%ifarch %{ix86} %{x8664} ppc
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/mtd/maps/pcmcia*
%endif
%ifnarch sparc sparc64
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o*
%endif
%ifarch %{ix86} %{x8664} alpha ppc
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o*
%endif
%ifarch %{ix86} %{x8664}
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o*
%endif
%ifnarch sparc
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/drm
%endif
%ghost /lib/modules/%{version}-%{release}/modules.*

%ifnarch sparc sparc64
%files pcmcia
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/ide/legacy/*-cs.o*
%ifarch %{ix86} %{x8664} ppc
/lib/modules/%{version}-%{release}/kernel/drivers/mtd/maps/pcmcia*
%endif
/lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/char/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/bluetooth/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o*
%ifarch %{ix86} %{x8664} alpha ppc
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o*
%endif
%ifarch %{ix86} %{x8664}
/lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o*
%endif
%endif

%ifnarch sparc
%files drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}/kernel/drivers/char/drm
%endif
%endif			# %%{with up}

%if %{with smp}
%files smp
%defattr(644,root,root,755)
%ifarch alpha sparc sparc64 ppc
/boot/vmlinux-%{version}-%{release}smp
%endif
/boot/vmlinuz-%{version}-%{release}smp
%ifarch sparc64
/boot/vmlinux.aout-%{version}-%{release}smp
%endif
/boot/System.map-%{version}-%{release}smp
%dir /lib/modules/%{version}-%{release}smp
/lib/modules/%{version}-%{release}smp/build
/lib/modules/%{version}-%{release}smp/kernel
%dir /lib/modules/%{version}-%{release}smp/misc
%ifnarch sparc sparc64
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/ide/legacy/*-cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/bluetooth/*_cs.o*
%endif
%ifarch %{ix86} %{x8664} ppc
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/mtd/maps/pcmcia*
%endif
%ifnarch sparc sparc64
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o*
%endif
%ifarch %{ix86} %{x8664} alpha ppc
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o*
%endif
%ifarch %{ix86} %{x8664}
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o*
%endif
%ifnarch sparc
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
%endif
%ghost /lib/modules/%{version}-%{release}smp/modules.*

%ifnarch sparc sparc64
%files -n %{name}-smp-pcmcia
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/ide/legacy/*-cs.o*
%ifarch %{ix86} %{x8664} ppc
/lib/modules/%{version}-%{release}smp/kernel/drivers/mtd/maps/pcmcia*
%endif
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/bluetooth/dtl1_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o*
%ifarch %{ix86} %{x8664} alpha ppc
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o*
%endif
%ifarch %{ix86} %{x8664}
/lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o*
%endif
%endif

%ifnarch sparc
%files -n %{name}-smp-drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
%endif
%endif			# %%{with smp}

%if %{with boot}
%ifnarch i586 i686 pentium3 pentium4 athlon	# narch
%files BOOT
%defattr(644,root,root,755)
%ifarch alpha sparc sparc64 ppc		# arch
%{_libdir}/bootdisk/boot/vmlinux-%{version}-%{release}BOOT
%endif				#arch
%{_libdir}/bootdisk/boot/vmlinuz-%{version}-%{release}BOOT
%{_libdir}/bootdisk/boot/System.map-%{version}-%{release}BOOT
%dir %{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT
%{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/kernel
%{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/build
%ghost %{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/modules.*
%endif				# narch
%endif				# %%{with boot}

%files headers
%defattr(644,root,root,755)
%dir %{_prefix}/src/linux-%{version}
%{_prefix}/src/linux-%{version}/include

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%{_prefix}/src/linux-%{version}/Documentation
%endif

%if %{with source}
%files source
%defattr(644,root,root,755)
%{_prefix}/src/linux-%{version}/arch
%{_prefix}/src/linux-%{version}/crypto
%{_prefix}/src/linux-%{version}/drivers
%{_prefix}/src/linux-%{version}/fs
%{_prefix}/src/linux-%{version}/init
%{?with_grsec:%{_prefix}/src/linux-%{version}/grsecurity}
%{_prefix}/src/linux-%{version}/ipc
#%{_prefix}/src/linux-%{version}/kdb
%{_prefix}/src/linux-%{version}/kernel
%{_prefix}/src/linux-%{version}/lib
%{_prefix}/src/linux-%{version}/mm
%{_prefix}/src/linux-%{version}/net
%{_prefix}/src/linux-%{version}/scripts
%{_prefix}/src/linux-%{version}/.config
%{_prefix}/src/linux-%{version}/.depend
%{_prefix}/src/linux-%{version}/.hdepend
%{_prefix}/src/linux-%{version}/COPYING
%{_prefix}/src/linux-%{version}/CREDITS
%{_prefix}/src/linux-%{version}/MAINTAINERS
%{_prefix}/src/linux-%{version}/Makefile
%{_prefix}/src/linux-%{version}/README
%{_prefix}/src/linux-%{version}/REPORTING-BUGS
%{_prefix}/src/linux-%{version}/Rules.make
%{_prefix}/src/linux-%{version}/config*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel24.spec,v $
Revision 1.793.2.19  2009/03/30 00:21:36  glen
- update to 2.4.37

Revision 1.793.2.18  2009/03/29 14:31:51  glen
- 2.4.36.9, utf8 spec

Revision 1.793.2.17  2008-05-13 07:11:00  glen
- check-files cleanup
- do not use <= in triggers

Revision 1.793.2.16  2008-05-12 22:17:42  glen
- sed typo

Revision 1.793.2.15  2008-05-12 19:46:26  glen
- various fixes to fix building

Revision 1.793.2.14  2008-05-12 17:29:24  glen
- kick in epoll patch

Revision 1.793.2.13  2008-05-07 11:36:01  hawk
- 2.4.36.4

Revision 1.793.2.12  2008-04-12 17:45:52  glen
- use sed

Revision 1.793.2.11  2008-04-12 17:39:14  glen
- 2.4.36.2

Revision 1.793.2.10  2008-01-21 14:23:21  hawk
- updated linux-2.4-ide-update and grsecurity patches

Revision 1.793.2.9  2008-01-21 12:14:16  hawk
- started update to 2.4.36, NFY, just fetch source

Revision 1.793.2.8  2007-12-06 14:17:56  zbyniu
- up to 2.4.35.4, new grsecurity-2.1.11-2.4.35.4-200711301800.patch
- rel 2

Revision 1.793.2.7  2007-10-09 17:50:51  hawk
- builds, works, release 1

Revision 1.793.2.6  2007/10/08 15:53:50  hawk
- one more patch in previous commitlog

Revision 1.793.2.5  2007/10/08 15:49:42  hawk
- updated patches: linux-2.4.25-sched-O1.patch, linux-2.4-ide-update.patch,
  02-reiserfs-acl-2.4.23+datalogging+quota-03, linux-2.4.31-nopckeyb.patch,
  31_tuner-2.4.26.diff, linux-2.4-libata-update.patch
- updated .config files

Revision 1.793.2.4  2007/10/07 13:49:19  hawk
- started update to 2.4.35.3, NFY

Revision 1.793.2.3  2007/03/28 18:59:23  hawk
- updated grsecurity URL in comment

Revision 1.793.2.2  2007/03/28 18:56:42  hawk
- release 1

Revision 1.793.2.1  2007/03/28 18:56:01  hawk
- AC-branch

Revision 1.793  2007/03/25 16:38:55  areq
- 2.4.34.2
- openswan-2.4.7

Revision 1.792  2007/02/19 15:21:18  qboosh
- updated 32_bttv,35_documentation,grsecurity-norandombrk patches
- removed obsolete gcc4 patch
- grsecurity updated to 2.1.10-2.4.34-200701222213, updated grsec.config

Revision 1.791  2007/02/18 13:09:38  marcus
- i2c 2.10.2

Revision 1.790  2007/02/15 11:02:52  marcus
- start upgrading to 2.4.34.1 (need Qboosh help ;)

Revision 1.789  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.788  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.787  2007/01/17 12:51:53  qboosh
- updated patch to 2.4.33.7 (fixes CVE-2006-5749)
- release 2.2 (will be 3 if it works)

Revision 1.786  2006/12/20 08:39:42  qboosh
- reverted EXTRAVERSION change, using postver in 2.4.x breaks booting
- release 2.1

Revision 1.785  2006/12/19 12:40:13  qboosh
- ugh, up to 2.4.33.6 (fixes CVE-2006-4814)
- updated grsecurity patch

Revision 1.784  2006/12/19 10:56:38  qboosh
- up to 2.4.33.5 (fixes CVE-2006-6106)
- still testing, it seems that postver in EXTRAVERSION causes init to freeze???

Revision 1.783  2006/12/06 00:06:55  glen
- ./relup.sh friendly _rel
- adapter

Revision 1.782  2006/11/23 10:26:25  qboosh
- added CVE reference

Revision 1.781  2006/11/23 09:30:41  qboosh
- updated patch to 2.4.33.4 (using official one instead of extracted update patch)
  [fixes CVE-2006-4997]
- updated cryptoloop-jari,i2c,grsecurity,EXPORT_SYMBOL patches
- switched to new versioning scheme (testing in progress, release 0.1)

Revision 1.780  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.779  2006/11/03 12:34:38  marcus
- rel.2. stbr for Ac.

Revision 1.778  2006/10/25 07:07:08  marcus
- updated LVM2 and EVMS

Revision 1.777  2006/09/05 10:47:47  qboosh
- fixed with_routes bcond

Revision 1.776  2006/09/04 10:34:33  hawk
- seems to be stable, release 1

Revision 1.775  2006/09/01 10:01:52  qboosh
- updated update patch with changes from 2.4.33.3 (fixes CVE-2006-4145)
- release 0.5

Revision 1.774  2006/08/30 14:31:32  qboosh
- updated update patch with changes from 2.4.33.2 (fixes CVE-2006-3745)
- updated squashfs to 3.1
- release 0.4

Revision 1.773  2006/08/21 12:58:51  qboosh
- apply 2.4.33.1 patch (fixes CVE-2006-1528)
- removed long time outdated patches (atm_diffs,fore200e-0.2f,netmos_pci_parallel_n_serial)
- release 0.3

Revision 1.772  2006/08/18 07:14:44  qboosh
- cleaned up sk98lin/gcc4/compilefailure spaghetti
- updated libata patch
- added libata-update and ide-update patches (mostly new pciids backported from 2.6.18-rc4)

Revision 1.771  2006/08/17 08:04:41  marcus
- addedd patch 126 - new sk98lin driver

Revision 1.770  2006/08/17 07:16:43  qboosh
- started update to 2.4.33
  (fixes CAN-2004-1058 CVE-2005-2490 CVE-2005-2708 CVE-2005-3180 CVE-2006-0039
   CVE-2006-1524 CVE-2006-1525 CVE-2006-1857 CVE-2006-1858 CVE-2006-1864
   CVE-2006-2271 CVE-2006-2272 CVE-2006-2274 and other bugs)
- grsecurity updated to 2.1.9-2.4.33-200608131429, updated its config
- updated libata, i2c-2.10.0-drivers-i2c, nfs-silly-rename, gcc4, sched-O1,
  missing-license-tags patches
- removed obsolete atiixp patch
- test release 0.1

Revision 1.769  2006/08/12 17:07:49  ankry
- spacing, new bconds, etc.

Revision 1.768  2006/08/06 21:15:13  areq
- openswan-2.4.6

Revision 1.767  2006/05/19 09:16:52  qboosh
- killed remaining PreReqs

Revision 1.766  2006/04/08 17:40:16  darekr
- PreReq -> Requires

Revision 1.765  2006/04/05 22:46:29  hawk
- ehh, i2c 2.10.0, release 6

Revision 1.764  2006/03/30 09:55:43  marcus
- ebtables-brnf-10

Revision 1.763  2006/03/01 15:10:14  zbyniu
- grsecurity patch up to snap 2.1.9-2.4.32-200602141845

Revision 1.762  2006/02/06 20:18:11  zbyniu
- grsecurity patch up to 2.1.8-2.4.32-200601211647; rel 5, STBR

Revision 1.761  2006/01/16 22:44:57  dzeus
- reverted

Revision 1.760  2006/01/16 21:57:59  dzeus
- added source url for patch106

Revision 1.759  2006/01/16 21:54:50  dzeus
- added patch from http://www.swiecki.net/project.html, rel. 5, STBR

Revision 1.758  2006/01/05 08:28:50  qboosh
- eeh... release 4

Revision 1.757  2006/01/04 15:43:38  qboosh
- crosssparc64-gcc needed only on crosscompilation

Revision 1.756  2006/01/04 15:04:50  qboosh
- release 3

Revision 1.755  2005/12/10 13:34:05  marcus
- patch  Static, Alternative Routes, Dead Gateway Detection, NAT
  http://www.ssi.bg/~ja/#routes-2.4 moved to bcond because ipsec with it
  badly adds routes

Revision 1.754  2005/12/07 14:35:02  qboosh
- release 2

Revision 1.753  2005/12/06 10:34:19  qboosh
- unresolved symbol fix in gcc4 patch; release 0.6

Revision 1.752  2005/12/04 09:21:54  qboosh
- more sparc64 fixes

Revision 1.751  2005/12/04 00:31:17  qboosh
- i2c updated to 2.9.2, added gcc 4 patch; release 0.5

Revision 1.750  2005/12/02 23:19:10  qboosh
- removed obsolete sparc64 subst

Revision 1.749  2005/12/02 22:28:22  qboosh
- removed outdated ipsec-sparc64 patch (meant for old freeswan/openswan only)

Revision 1.748  2005/12/02 16:39:31  qboosh
- release 0.4 (eeh...)

Revision 1.747  2005/12/02 11:14:14  areq
- openswan 2.4.4

Revision 1.746  2005/12/02 10:55:56  qboosh
- release 0.3

Revision 1.745  2005/11/25 15:24:24  qboosh
- added ip_conntrack_oracle-endian patch

Revision 1.744  2005/11/24 10:02:30  qboosh
- qla2xxx drivers updated to 7.05.00

Revision 1.743  2005/11/22 09:20:36  qboosh
- avm_cs is built on alpha

Revision 1.742  2005/11/17 18:28:11  qboosh
- grsecurity updated to 2.1.7-2.4.32-200511131857; release 0.2

Revision 1.741  2005/11/17 11:15:54  qboosh
- started update to 2.4.32
- updated netfilter-pom-ng,EXPORT_SYMBOL patches
- removed obsolete seg-4,sparc-utimes patches

Revision 1.740  2005/07/11 19:36:24  areq
- openswan 2.3.1 (works)

Revision 1.739  2005/06/29 13:38:31  qboosh
- typos, tab

Revision 1.738  2005/06/29 13:31:59  qboosh
- release 2

Revision 1.737  2005/06/15 18:47:27  hunter
- use last patch

Revision 1.736  2005/06/15 18:03:01  hunter
- "nopckeyb" option useful for Wrap boards

Revision 1.735  2005/06/14 10:09:22  qboosh
- added sparc-utimes patch (should be OK, but needs check)

Revision 1.734  2005/06/09 15:34:30  hawk
- updated i2c patch to 2.9.1 for 2.4.31
- release 0.3

Revision 1.733  2005/06/09 09:55:39  qboosh
- updated qla2xxx drivers to 7.03.00
- release 0.2

Revision 1.732  2005/06/06 20:40:05  qboosh
- updated libata patch to 2.4.31-pre1-libata1 (w/o parts already in 2.4.31)

Revision 1.731  2005/06/06 19:34:55  qboosh
- added atiixp patch (more pci ids for atiixp IDE module)

Revision 1.730  2005/06/01 10:05:54  qboosh
- started update to Linux 2.4.31
- updated cryptoloop,i2c,grsecurity patches
- removed obsolete sec-coredump patch

Revision 1.729  2005/05/12 19:13:33  qboosh
- added sec-coredump patch (fixes CAN-2005-1263); release 3

Revision 1.728  2005/05/12 19:05:11  qboosh
- updated esfq patch to preserve SFQ ABI compatible with vanilla kernel

Revision 1.727  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.726  2005/04/28 15:59:19  qboosh
- bleh, release 2 (1 went to Ra)

Revision 1.725  2005/04/27 19:55:59  qboosh
- release 1

Revision 1.724  2005/04/16 06:43:31  marcus
- addedd serial-netmos patch for 6 port serial boards from NetMos

Revision 1.723  2005/04/15 14:40:47  qboosh
- grsecurity updated to 2.1.5-2.4.30-200504082027, secfix patch obsolete
- added linux-2.4-seg-4 patch for binutils 2.16.90+
- release 0.2

Revision 1.722  2005/04/05 10:34:16  qboosh
- sched-O1 patch is back (updated, not obsolete!)
- removed (really) obsolete netlink-leak patch

Revision 1.721  2005/04/05 00:24:28  hawk
- updated to 2.4.30
- removed patch15 (already in sources)
- updated patches: linux-2.4.26-netfilter-pom-ng-20040302.patch,
  linux-2.4.28-i2c-2.9.0-drivers-i2c.diff, linux-2.4-aic79xx-20040522.patch
- NFY! will finish it tomorrow

Revision 1.720  2005/03/27 15:21:11  dzimi
- rel 6
- add 2.4.29-dst_cache_overflow.patch - mostly rt_check_expire() fixes
- STBR

Revision 1.719  2005/03/13 07:47:06  dzimi
- some cosmetics

Revision 1.718  2005/03/07 14:00:04  qboosh
- grsec config update towards complete PaX removal: CONFIG_GRKERNSEC_PAX_RANDUSTACK is not set
  (FUBAR, made ARG_MAX define unusable thus breaking xargs etc.)
- release 5

Revision 1.717  2005/03/01 14:20:11  qboosh
- changed grsecurity patch: don't use default exec address as base for ET_DYN ELFs
  (it caused random crashes of binaries run through ld.so run as program
   due to overlapping memory)
  Countereffect: less memory available for "PaX ET_DYN executables"
  (better solution exists in execshield)
- added netlink-leak patch (unhash netlink sockets correctly)
- release 4

Revision 1.716  2005/02/11 09:40:12  qboosh
- updated squashfs patch to 2.1-r2

Revision 1.715  2005/02/01 22:39:17  qboosh
- merged aic79xx update (to 20040522) from RA-branch
- spec and configs cleanup
- adjusted netfilter-fixes patch to workaround gcc 2.95 bug

Revision 1.714  2005/02/01 21:16:36  hawk
- release 3 because RA has 2

Revision 1.713  2005/01/24 12:08:20  qboosh
- release 1 (works on i686, ppc CHRP, sparc64)

Revision 1.712  2005/01/20 17:18:35  qboosh
- updated i2c patch to 2.9.0, routes patch to 2.4.29-9
- adjusted patches: uml, netfilter-pom-ng, netfilter_pptp, netfilter-fixes,
  imq, 31_i2c, 32_bttv, 33_saa3134, 34_cx88, grsecurity, bootsplash, secfix
- removed obsolete patches: vlan-3c59x, isofs-4G, ppc-oops, fork-race, pty-race,
  tty-ldisc-fixes, aout-leak, cmsg, igmp, vc_resize, uselib, vma-exec, bounds,
  expand_stack
- updated addon.config (new SCSI_SATA_AHCI driver)

Revision 1.711  2005/01/20 09:32:30  qboosh
- starting 2.4.29 - fetch source

Revision 1.710  2005/01/15 14:41:01  qboosh
- dropped kernel-headers* Provides, use kernel24-headers* instead
- release 1

Revision 1.709  2005/01/13 15:27:19  qboosh
- added expand_stack patch (fixes CAN-2005-0001); release 0.7

Revision 1.708  2005/01/12 14:43:50  qboosh
- updated grsecurity to 2.1.0-2.4.28-200501051112
- more security patches: uselib, vma-exec, bounds, secfix

Revision 1.707  2005/01/11 10:58:29  qboosh
- initial um bcond (unfinished)

Revision 1.706  2005/01/06 20:06:29  jasio
- Added patching source with patch 136

Revision 1.705  2005/01/06 19:10:21  jasio
- Added patch for static, alternative routes, dead gateway detection, NAT

Revision 1.704  2005/01/05 15:26:39  qboosh
- added static-dev patch (to get static /dev/mapper/control)

Revision 1.703  2004/12/31 11:48:00  qboosh
- updaed post-uml-fixes, release 0.6

Revision 1.702  2004/12/31 09:02:44  qboosh
- updated grsecurity to 2.0.2-2.4.28, updated norandombrk patch; tested on x86

Revision 1.701  2004/12/29 14:13:59  qboosh
- updated uml to 2.4.27-1, added post-uml-fixes,uml-proc_mm-perms patches
  updated host-skas3,grsecurity,tty-ldisc-fixes patches
  sys_i386 patch obsoleted by post-uml-fixes
- release 0.5

Revision 1.700  2004/12/28 10:33:01  qboosh
- patch31 is already applied once

Revision 1.699  2004/12/27 11:36:20  qboosh
- added gcc 3.4 fixes for ip_{conntrack,nat}_rtsp to netfilter-fixes patch
- adjusted openswan-2.2.0.kernel-2.4-natt patch to apply on 2.4.28
- updated addon.config for freeswan->openswan update

Revision 1.698  2004/12/26 23:57:07  qboosh
- added ntfs-gcc34 patch

Revision 1.697  2004/12/21 14:10:20  qboosh
- use -release[config] as EXTRAVERSION, dropped version symlinks
  now it's possible to have several releases or configs of the same kernel version

Revision 1.696  2004/12/21 13:44:27  qboosh
- merged comments

Revision 1.695  2004/12/21 13:29:43  qboosh
- spacing

Revision 1.694  2004/12/21 11:26:25  qboosh
- unified remaining /usr/src -> %{_prefix}/src
- added /lib/modules/*/misc dirs for external modules
- set umask 022 before running depmod

Revision 1.693  2004/12/21 10:04:04  havner
- TODO

Revision 1.692  2004/12/20 16:14:35  qboosh
- new patches: cmsg (fixes CAN-2004-1016+more), igmp (fixes CAN-2004-1137),
  vc_resize, fork-race, pty-race; release 0.4

Revision 1.691  2004/12/13 10:34:58  marcus
- updated freeswan 2.04 to openswan 2.20. Please check patchs 12 and 13.

Revision 1.690  2004/12/10 09:03:28  qboosh
- fixed crosssparc64-gcc epoch

Revision 1.689  2004/12/09 17:58:32  qboosh
- don't merge x86 up/smp configs

Revision 1.688  2004/12/08 10:06:24  qboosh
- more consistent .config sources numbering

Revision 1.687  2004/12/08 10:03:59  qboosh
- ppc-asm patch (with 2-argument tlbie) needs binutils 2.12.1

Revision 1.686  2004/12/07 08:03:42  qboosh
- added ppc-asm patch (needed by recent gas)

Revision 1.685  2004/12/06 13:27:01  qboosh
- BR: sed 4.0

Revision 1.684  2004/12/06 13:18:37  qboosh
- BR: macros 1.153

Revision 1.683  2004/12/04 16:57:47  qboosh
- prevent builds broken by gcc 2.95

Revision 1.682  2004/12/03 22:20:52  qboosh
- added aout-leak patch (2.6-bk backport from SuSE, fixes CAN-2004-1074)

Revision 1.681  2004/12/03 21:34:47  qboosh
- fixed grsecurity patch broken during updates (caused panic on boot)
- updated ia32,alpha,sparc configs, added reiserfsprogs epoch
- added tty-ldisc-fixes patch from LINUX_2_4_27 branch (fixes CAN-2004-0814)
- release 0.3

Revision 1.680  2004/12/02 10:23:18  qboosh
- added ppc-oops patch (fixes crash in die() on CHRP/PReP machines)

Revision 1.679  2004/11/26 18:23:13  dzimi
- add 2.4.28-aic79xx_osm_pci.c.patch witch remove MMAPIO conditions from
  2.4.28-aic79xx_osm_pci.c

Revision 1.678  2004/11/25 12:22:29  qboosh
- dropped obsolete sym53c8xx->sym53c8xx_old rename
  (new driver name sym53c8xx_2 doesn't conflict now)

Revision 1.677  2004/11/25 10:28:11  qboosh
- removed ppc-procesor patch (obsolete since at last 2.4.26, now it was breaking top)

Revision 1.676  2004/11/24 20:47:28  dzimi
- 2.4.28
- rel 0.1
- it's first attempt with 2.4.28

Revision 1.675  2004/11/12 19:02:05  dzimi
- rel 1.8
- up to 2.4.28-rc2-bk3
- sync grsecurity-O1 and remove_extraversion patch with 2.4.28-rc2-bk3 tree

Revision 1.674  2004/11/11 21:25:21  hunter
- -contrack pptp & gre helper

Revision 1.673  2004/10/31 14:56:39  dzimi
- update to 2.4.28-rc1-bk3

Revision 1.672  2004/10/29 19:38:21  radek
- release 1.7: added "24" suffix to /boot/{vmlinuz,initrd,System.map}
               and triggerin scripts for up and smp, providing backward
  	       compatibility
- tested, works for me (up)

Revision 1.671  2004/10/29 16:08:21  radek
- added Patch{0,1}-md5

Revision 1.670  2004/10/16 21:10:47  arekm
- drop linux-2.4.21-oopsmeharder.patch; causes crashes

Revision 1.669  2004/10/09 10:17:34  dzimi
- rel 1.6
- update to 2.4.28-pre4

Revision 1.668  2004/10/07 19:44:19  dzimi
- update to bk9
- remove patch number 5000
- cosmetics

Revision 1.667  2004/10/03 16:36:04  dzimi
- rel 1.5
- sync SATA driver with 2.6 kernel tree (2.4.28-pre3-bk6-libata2.patch.bz2)

Revision 1.666  2004/10/03 13:19:05  dzimi
- add crosscompilation build support

Revision 1.665  2004/10/03 11:22:44  dzimi
- rel 1.4
- disable SATA driver from IDE subsystem (conflicts with libata SATA driver)
- PowerPC config update and fixes
- 2.4.28-pre3-bk6 compilation error fix (patch-2.4.28-pre3-bk6-wp512-tcrypt.c.patch

Revision 1.664  2004/10/03 08:15:06  dzimi
- rel 1.3
- add patch-2.4.28-pre3-bk6.bz2
- remove 2.4.28-pre3-ips.h.patch

Revision 1.663  2004/09/30 09:32:27  dzimi
- s/patch2/patch3/g

Revision 1.662  2004/09/29 19:00:11  dzimi
- rel 1.2
- add 2.4.28-pre3-ips.h.patch

Revision 1.661  2004/09/28 22:04:42  dzimi
- rel 1.1
- update to 2.4.28-pre3
- add 2.4.28-pre3-remove_subversion_and_extraversion.patch
- update patches for 2.4.28-pre3 tree

Revision 1.660  2004/09/28 17:41:08  dzimi
- cosmetics

Revision 1.659  2004/09/08 12:14:26  qboosh
- updated deps: geninitrd for -smp, xfsprogs and quota for both

Revision 1.658  2004/09/02 09:42:09  qboosh
- release 1

Revision 1.657  2004/08/29 08:04:55  qboosh
- added farsync patch (fixes unresolved symbols on alpha)

Revision 1.656  2004/08/14 10:10:29  gotar
- removed ipp2p - it was separated to ipp2p24.spec

Revision 1.655  2004/08/09 17:36:00  baggins
- added atmdd driver
- comment about fore200e driver availability

Revision 1.654  2004/08/09 15:01:24  qboosh
- disable xfs-adds patch (would need big update to new DMAPI layer)

Revision 1.653  2004/08/08 20:53:36  arekm
- fetch src

Revision 1.652  2004/07/16 08:52:24  qboosh
- unified setup usage

Revision 1.651  2004/07/16 08:05:00  qboosh
- don't complain or fail in post if old initrd is missing; cleanups/reorders

Revision 1.650  2004/07/15 22:02:08  areq
- add CIFS VFS http://us1.samba.org/samba/Linux_CIFS_client.html

Revision 1.649  2004/07/05 00:19:23  arekm
- 2.4.27rc3

Revision 1.648  2004/07/02 16:29:47  qboosh
- removed obsolete rivafb16 patch (merged in 2.4.27)

Revision 1.647  2004/07/02 14:36:35  qboosh
- added grsecurity-norandombrk patch (needed for glibc with PAX enabled)

Revision 1.646  2004/07/01 15:03:40  qboosh
- added atyfb-ragexl patch

Revision 1.645  2004/07/01 10:24:39  qboosh
- updated Win4Lin patches

Revision 1.644  2004/06/24 13:58:40  qboosh
- netfilter-fixes after imq patch

Revision 1.643  2004/06/20 15:50:40  arekm
- starting game with 2.4.27rc1

Revision 1.642  2004/06/20 14:53:05  qboosh
- some amd64, but incomplete (O1 sched needs porting)
- some typos, release 4

Revision 1.641  2004/06/15 14:03:35  paszczus
- updated patch #3700

Revision 1.640  2004/06/15 06:23:23  paszczus
- [SECURITY] http://linuxreviews.org/news/2004-06-11_kernel_crash/
- release 3

Revision 1.639  2004/06/02 12:39:12  marcus
- addedd support for Promise SX6000

Revision 1.638  2004/06/02 11:40:31  arekm
- %define         _enable_debug_packages  0

Revision 1.637  2004/05/28 15:08:10  qboosh
- added isofs-4G patch

Revision 1.636  2004/05/22 12:32:14  areq
- squashfs2.0

Revision 1.635  2004/05/16 15:41:04  dzimi
- rel 2
- update linux-2.4.x-imq.diff to linux-2.4.26-imq.diff

Revision 1.634  2004/05/14 21:58:05  qboosh
- release 1 for Ac

Revision 1.633  2004/05/14 12:52:22  qboosh
- don't disable modules compression
- release 0.9
  compiles on x86,alpha,ppc,sparc,sparc64
  tested to work on i686, ppc (B50), sparc64

Revision 1.632  2004/05/11 18:05:53  qboosh
- updated EXPORT_SYMBOL and fixes patches to fix build on ppc
- added cx88-noswitch patch (hack to avoid __ucmpdi2() usage on ppc)

Revision 1.631  2004/05/11 08:04:38  qboosh
- ifarch for drivers/mtd/maps/pcmcia; simplified some overnested ifarchs

Revision 1.630  2004/05/10 15:01:16  qboosh
- added fixes patch; no more unresolved symbols on alpha (up at least)

Revision 1.629  2004/05/10 13:20:55  qboosh
- added netfilter-fixes patch (adds 4 missing modules)

Revision 1.628  2004/05/09 11:25:40  areq
- linux-2.4.26-ntfs-2.1.6b.patch.bz2

Revision 1.627  2004/05/08 14:02:27  qboosh
- standard BuildRoot

Revision 1.626  2004/05/08 13:45:44  qboosh
- fixed grsecurity patch for BOOT builds (when patch is applied but disabled)
- removed obsolete bin86 deps

Revision 1.625  2004/05/06 22:35:52  arekm
- %{__cc} can contains slashes

Revision 1.624  2004/04/26 21:14:37  arekm
- new grsecurity (final 2.0)

Revision 1.623  2004/04/26 20:40:49  arekm
- fix ed

Revision 1.622  2004/04/26 20:28:55  arekm
- always use %__cc for compilation

Revision 1.621  2004/04/26 20:14:39  arekm
- seems ready

Revision 1.620  2004/04/26 01:51:10  arekm
- netfilter update

Revision 1.619  2004/04/26 00:51:17  arekm
- more stuff (EA+ACL+JFS_ACL+NFS_ACL)

Revision 1.618  2004/04/26 00:31:46  arekm
- rel 0.5; many updates (bttv; reiserfs; imq; bridge-nf; ipmi; aic7xxx)

Revision 1.617  2004/04/23 14:38:21  qboosh
- don't overwrite jfs, vanilla 2.4.26 contains post-1.1.5 updates/fixes,
  including CAN-2004-0181 fix

Revision 1.616  2004/04/14 18:41:03  arekm
- final 2.4.26; not tested

Revision 1.615  2004/04/14 06:12:11  speedy
- BuildASM.sh is outdated(?)

Revision 1.614  2004/04/13 12:07:47  speedy
- so... how we got here?... sparc64: NFY

Revision 1.613  2004/04/12 21:06:31  arekm
- forcing cmpxchg should be no longer needed

Revision 1.612  2004/04/12 20:01:24  arekm
- 2.4.26rc3

Revision 1.611  2004/04/06 01:36:06  arekm
- 2.4.26rc2

Revision 1.610  2004/04/05 09:11:50  andree
- allow build on pentium3, pentium4

Revision 1.609  2004/04/01 13:17:38  qboosh
- removed Obsoletes: kernel-i2c-devel (caused deinstallation of kernel-headers)
  probably some (or all) Provides should be updated for kernel24-* naming

Revision 1.608  2004/03/31 21:24:21  areq
- 2.4.26-rc1-libata3.patch

Revision 1.607  2004/03/30 22:01:03  arekm
- new libata, untested

Revision 1.606  2004/03/28 14:38:16  arekm
- first try to 2.4.26rc1 (%prep is ok)

Revision 1.605  2004/03/28 00:26:38  arekm
- added forcedeth

Revision 1.604  2004/03/27 12:35:56  arekm
- new libata (2.4.25-libata15)

Revision 1.603  2004/03/22 00:49:59  dzimi
- rel 0.2
- add linux-2.4.25-change-imq_with_nat.patch

Revision 1.602  2004/03/17 16:41:56  qboosh
- added xfs-adds patch to restore POSIX_ACL and DMAPI present in 2.4.24-

Revision 1.601  2004/03/08 12:24:20  ankry
- undefine with_win4lin for !x86 (workaround for old rpm)
  I doubt whether this is really necessary...

Revision 1.600  2004/03/08 00:06:37  ankry
- cloned -nls_default patch

Revision 1.599  2004/03/06 11:38:37  arekm
- headers provide kernel-headers

Revision 1.598  2004/02/27 11:00:05  arekm
- grsecurity rc5; drm version macro is back

Revision 1.597  2004/02/25 08:27:39  mmazur
- BR: /bin/resolvesymlink (sorry, there's no BR || BR)

Revision 1.596  2004/02/24 14:08:12  baggins
- updated i2c to 2.8.4

Revision 1.595  2004/02/23 14:19:34  baggins
- added intel i875p agp support

Revision 1.594  2004/02/20 18:12:19  baggins
- updated netfilter POM
- added oracle conntrack patch

Revision 1.593  2004/02/19 20:05:31  arekm
- and few more

Revision 1.592  2004/02/19 19:24:12  arekm
- one more macro

Revision 1.591  2004/02/19 19:21:23  arekm
- name also changed

Revision 1.590  2004/02/19 19:16:58  arekm
- modify macros and kernel references to reflect new spec name

Revision 1.589  2004/02/19 13:13:07  qboosh
- 1st try: rename {headers,source} to {headers,source}-2.4
  and /usr/src/linux symlink to /usr/src/linux-2.4

Revision 1.588  2004/02/19 12:25:38  areq
- linux-2.4.25-sys_i386.patch, now build without grsec (tested on i686)

Revision 1.587  2004/02/18 17:50:30  arekm
- first try for final 2.4.25

Revision 1.586  2004/02/11 14:31:51  baggins
- added vlan support for 3com 3c905 cards

Revision 1.585  2004/02/06 14:29:01  arekm
- 2.4.25rc1

Revision 1.584  2004/02/04 22:32:35  arekm
- 2.4.25pre8

Revision 1.583  2004/01/25 18:15:00  undefine
- ja translation :p

Revision 1.582  2004/01/25 01:28:56  ankry
- spaces -> tabs

Revision 1.581  2004/01/23 19:20:02  arekm
- updated ntfs to 2.1.6a

Revision 1.580  2004/01/19 20:24:04  arekm
- added bootsplash, rel 0.2

Revision 1.579  2004/01/19 00:09:43  arekm
- i2c updated; patch comments added; we are back in 2.4.24 shape but now with 2.4.25pre6 - ready for testing

Revision 1.578  2004/01/18 23:42:13  arekm
- use 2.4.25 as version; rel 0.1

Revision 1.577  2004/01/18 19:46:54  arekm
- updated squashfs to 1.3r3

Revision 1.576  2004/01/18 16:14:30  arekm
- updated datalogging+quota+acl reiserfs, evms patches; only i2c left

Revision 1.575  2004/01/18 00:26:12  arekm
- started update to 2.4.25pre6

Revision 1.574  2004/01/15 13:42:19  qboosh
- added -r to depmod to actually check modules instead of rejecting

Revision 1.573  2004/01/15 09:39:07  qboosh
- use depmod with path when checking deps

Revision 1.572  2004/01/08 11:21:03  arekm
- update aic79xxx driver to 20031222 version; rel 0.3

Revision 1.571  2004/01/05 20:57:39  arekm
- updated grsec patch to rc4 (BIG FAT WARNING, NEW GRSEC NOT TESTED)

Revision 1.570  2004/01/05 15:11:36  baggins
- updated updates patch

Revision 1.569  2004/01/05 14:09:27  baggins
- 2.4.24, security release

Revision 1.568  2004/01/05 00:03:14  arekm
- 0.9.5; fixed IPMI compilation; libata updated to patch 2

Revision 1.567  2004/01/02 22:46:49  arekm
- updated ipmi patch to v28

Revision 1.566  2003/12/28 19:37:01  arekm
- include hisax and avmb1 on ppc

Revision 1.565  2003/12/28 19:17:21  arekm
- kheaders bcond dropped

Revision 1.564  2003/12/27 16:50:39  speedy
- just up to 0.9.2
- fix ppc (atyfb must be static)

Revision 1.563  2003/12/20 15:01:21  qboosh
- Provides s/i2c-devel/kernel-i2c-devel/, added Obsoletes too

Revision 1.562  2003/12/19 17:22:18  arekm
- Include recent acpi fixes.

Revision 1.561  2003/12/19 16:50:57  arekm
- more fixes from BK (update patch uv2); rel 0.9

Revision 1.560  2003/12/16 12:19:25  arekm
- sysctl-empty patch. oops in grsecurity caused by numeric sysctl on dirs
  removed from /proc (even if grsecurity is whole disabled, only patch applied). by qboosh
- rel 0.8.4

Revision 1.559  2003/12/14 15:04:47  saq
- add nls_default.patch: CONFIG_NLS_DEFAULT can be changed run-time via
  sysctl

Revision 1.558  2003/12/12 09:23:25  arekm
- rel 0.8.3 (really this time)

Revision 1.557  2003/12/12 00:51:35  arekm
- log modules dependencies when building

Revision 1.556  2003/12/11 18:25:06  arekm
- fix netfilter versioning and comments

Revision 1.555  2003/12/11 15:37:27  qboosh
- added libata1-include patch (fixes libata build on alpha)

Revision 1.554  2003/12/11 15:14:03  baseciq
- use released pom, instead of CVS snapshot (problems with user chains -
  this change fixing this)
- rel. 0.8.3

Revision 1.553  2003/12/10 23:53:28  arekm
- updated netfilter to 20031210; dropped patch-o-matic/userspace patches; rel 0.8.2

Revision 1.552  2003/12/09 22:29:38  arekm
- use readlink if resolvesymlink doesn't exist

Revision 1.551  2003/12/09 16:13:28  arekm
- updated i2c to 0.8.1 and xfs to 2003-12-01 official 2.4.23 snapshot; rel 0.8.1

Revision 1.550  2003/12/09 08:39:02  arekm
- include some important fixed (details in update patch) that went into post 2.4.23 bk tree; rel 0.8

Revision 1.549  2003/12/09 00:12:55  arekm
- add ipp2p netfilter match

Revision 1.548  2003/12/06 17:21:07  arekm
- added IPMI support

Revision 1.547  2003/12/06 12:55:57  arekm
- updated netfilter to 20031206 (two new patches submitted for 2.4.24 inclusion; TRACE is back again); libata is here (configs not yet updated)

Revision 1.546  2003/12/06 11:42:32  arekm
- updated freeswan to 2.04

Revision 1.545  2003/12/06 11:19:09  arekm
- remove comment about grsec (already fixed)

Revision 1.544  2003/12/06 11:03:54  arekm
- fix netfilter requirements

Revision 1.543  2003/12/06 10:51:01  arekm
- PreReq: geninitrd >= 1354

Revision 1.542  2003/12/05 20:27:01  qboosh
- License is GPL v2, not any other version

Revision 1.541  2003/12/03 08:35:53  arekm
- updated br and bttv patches; rel 0.6

Revision 1.540  2003/12/02 21:11:39  arekm
- updated ntfs driver

Revision 1.539  2003/12/02 00:36:01  arekm
- use resolvesymlink (prov by rc-scripts) instead of readlink (prov by tetex 1 or coreutils)

Revision 1.538  2003/12/01 22:23:59  arekm
- reenable IMQ

Revision 1.537  2003/11/29 13:47:49  arekm
- use final tarball; disable CMD640 (it's broken); still about three issues left

Revision 1.536  2003/11/24 18:24:11  arekm
- fix unresolved vmalloc_start symbol on ppc; unresolved fls() on all arch; rel 0.4

Revision 1.535  2003/11/24 15:50:48  saq
- don't delete asm-generic (thx to Pawel Sikora)

Revision 1.534  2003/11/23 22:14:13  arekm
- rel 0.3

Revision 1.533  2003/11/22 22:28:43  saq
- drop files from foreign archs in kernel-{headers,source} (BTS #695)

Revision 1.531  2003/11/22 18:06:25  arekm
- xfs patch updated, export few symbols for modular ide

Revision 1.530  2003/11/22 13:21:51  arekm
- patch 23 obsolete (buffer size can be now configured from .config); bring back compilefailure patch

Revision 1.529  2003/11/21 23:31:32  arekm
- all currently used patches apply when using --without grsec (which I'm leaving for baggins :)

Revision 1.528  2003/11/21 22:42:02  arekm
- new netfilter patch; updated jfs; removed obsolete patches

Revision 1.527  2003/11/21 20:38:44  arekm
- dm update

Revision 1.526  2003/11/21 20:10:23  arekm
- started update to 2.4.23rc2 (patches with XXX comment need update)

Revision 1.525  2003/11/11 01:56:07  ankry
- unification

Revision 1.524  2003/11/05 16:07:37  baggins
- small cleanup

Revision 1.523  2003/11/05 16:04:29  baggins
- removed owl
- back to full grsec - the stable way

Revision 1.522  2003/10/27 23:51:34  arekm
- kernel threads were using some file at initrd time while they shouldn't

Revision 1.521  2003/10/25 03:35:51  radko
- Added ftp://ftp.pm.waw.pl/pub/Linux/hdlc/hdlc-2.4.21-1.14a.patch

Revision 1.520  2003/10/17 17:36:47  baggins
- back to normal grsec, cuting it down failed

Revision 1.519  2003/10/15 13:20:54  baggins
- s/pcmcia-cs/pcmcia/g

Revision 1.518  2003/10/13 14:08:54  baggins
- readed reiserfs patches, questions to: Mariusz Warchal <zombi @ polacy . us>

Revision 1.517  2003/10/10 16:13:10  baggins
- security patch obsoletet by OWL

Revision 1.516  2003/10/10 15:48:59  baggins
- typo

Revision 1.515  2003/10/10 15:29:38  baggins
- release 1.3
- another crap I'm fed up with goes down the drain - grsec cut down to
  minimal set of usefull features (chroot prot. and /proc/pid/ipaddr)
- instead we use full OWL patch
- so goes down with_grsec bcond (that minimal patch won't fuck up anything)

Revision 1.514  2003/10/09 15:54:18  baggins
- netfilter md5

Revision 1.513  2003/10/09 15:38:57  baggins
- updated netfilter to 1.2.9rc1 and 2003-10-09 CVS

Revision 1.512  2003/10/08 21:14:14  arekm
- added 2.4.22 updates from http://www.hardrock.org/kernel/current-updates/ (pcwd fix is also there so separate patch removed)

Revision 1.511  2003/10/08 19:38:11  baggins
- killed reiserfs patches, I'm fed up with this crappy spaghetti code
- added v4l2 support and bttv updates

Revision 1.510  2003/10/06 10:57:18  baggins
- release 1.1
- killed hostap driver - look for it in hostap.spec

Revision 1.509  2003/09/26 10:42:46  baggins
- release 1

Revision 1.508  2003/09/25 16:06:44  baggins
- release 0.3
- build on all arch but ppc (weird error, patched, testing now)
- added Fore200e fix

Revision 1.507  2003/09/22 22:47:36  areq
- add linux-2.4.22-gcc-ext3.patch for gcc2

Revision 1.506  2003/09/22 19:56:19  baggins
- grsec has some ideas about crypto :/

Revision 1.505  2003/09/22 15:47:39  baggins
- grsecurity updated

Revision 1.504  2003/09/22 13:40:45  baggins
- added missing header on AXP

Revision 1.503  2003/09/22 11:28:08  baggins
- updated md5sum
- IDE update from ac4

Revision 1.502  2003/09/22 11:12:59  baggins
- release 0.2
- builds on ix86, but IDE needs one more little update
- killed perl, use ed instead (idea by ankry)
- fixed acl support in intermezzo fs
- convert TUN devices to "new style" (patch by jajcus)
- fix inlining with gcc3
- conflicts device-mapper < 1
- updated configs

Revision 1.501  2003/09/19 16:33:34  baggins
- more obsolete patches
- no grsec for now

Revision 1.500  2003/09/15 18:12:09  baggins
- removed obsolete patches

Revision 1.499  2003/09/15 15:20:17  baggins
- networking updated
- dm/evms updated

Revision 1.498  2003/09/15 11:16:48  baggins
- updated filesystems patches

Revision 1.497  2003/08/25 12:28:19  baggins
- starting 2.4.22

Revision 1.496  2003/08/25 10:57:16  qboosh
- killed subshell with gentbl

Revision 1.495  2003/08/24 20:42:04  arekm
- updated devicemapper patch, so update taken date

Revision 1.494  2003/08/23 23:18:38  arekm
- increase size of printk buffer to 32k on UP machines

Revision 1.493  2003/08/23 11:54:25  arekm
- added layer7 filtering module

Revision 1.492  2003/08/22 14:53:45  arekm
- commented out fast checksuming patch for testing on SMP machines

Revision 1.491  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.490  2003/08/20 09:56:14  baggins
- release 2
- builds on all supported architectures

Revision 1.489  2003/08/19 16:13:20  baggins
- fix redefinition of fls in device mapper

Revision 1.488  2003/08/19 15:03:42  baggins
- fix i2c-keywest compile on ppc

Revision 1.487  2003/08/19 11:21:19  baggins
- removed duplicate ifnarchs

Revision 1.486  2003/08/19 11:19:23  baggins
- no pcmcia on sparc64

Revision 1.485  2003/08/18 14:57:14  baggins
- i2c works on sparc64 too

Revision 1.484  2003/08/18 08:08:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.483  2003/08/16 21:53:54  baggins
- CONFIG_DIGEST_SHA1 eats all mem on sparc64 too

Revision 1.482  2003/08/16 21:41:32  baggins
- another typo in C99 initializer

Revision 1.481  2003/08/16 21:36:36  baggins
- sparc64 .config thingies in proper places

Revision 1.480  2003/08/16 21:33:00  baggins
- turned off CONFIG_IPSEC_AUTH_HMAC_SHA1 on sparc64 (gcc eats all mem on it and dies)

Revision 1.479  2003/08/16 21:25:08  baggins
- ipsec sparc64 specific fix

Revision 1.478  2003/08/16 20:09:26  baggins
- turn off CONFIG_FB_I810 on sparc64

Revision 1.477  2003/08/16 17:41:11  baggins
- fix typo in C99 initializer in bttv-driver.c

Revision 1.476  2003/08/16 00:52:54  baggins
- sparc64 updates

Revision 1.475  2003/08/12 23:11:55  serek
- patch for broken ibm laptops.

Revision 1.474  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.473  2003/08/12 20:56:39  arekm
- fix spare disk counting for raid5; rel 1.6

Revision 1.472  2003/08/12 20:28:58  arekm
- fix oopsing after loading pcwd watchdog driver when there is no hardware available

Revision 1.471  2003/08/12 13:24:37  baggins
- merged i2c fixes into one patch

Revision 1.470  2003/08/12 13:22:32  baggins
- added small i2c fixes
- updated alpha configs

Revision 1.469  2003/08/12 07:34:36  qboosh
- keep i2c version in one place (i2c_version macro)
- standardized preambles, more specific Requires

Revision 1.468  2003/08/11 16:45:15  areq
- Provides i2c-devel = 2.8.0

Revision 1.467  2003/08/11 15:11:49  areq
- Prereq: geninitrd >= 2.40

Revision 1.466  2003/08/11 15:07:24  areq
- Release: 1.5, new i2c

Revision 1.465  2003/08/11 12:23:02  baggins
- i2c 2.8.0

Revision 1.464  2003/08/09 21:48:31  areq
- Prereq: geninitrd >= 2.34
- Release 1.4

Revision 1.463  2003/08/08 13:55:25  baggins
- back to split patches fixing gcc33 problems

Revision 1.462  2003/08/08 13:37:01  baggins
- replaced gcc33-math-emu with linux-2.4.20-gcc33 patch fro LINUX_2_4 branch

Revision 1.461  2003/08/08 12:17:39  baggins
- no url for modified sources

Revision 1.460  2003/08/08 12:10:41  baggins
- if you put modified sources in cvs don't use URL in patchX/sourceX

Revision 1.459  2003/08/08 11:52:50  baggins
- updated imq patch location

Revision 1.458  2003/08/07 17:04:07  baggins
- updated grsec to 2.0rc2

Revision 1.457  2003/08/07 12:30:31  baggins
- added security fixes from RH, grsec needs update

Revision 1.456  2003/08/07 11:36:56  baggins
- updated XFS to 1.3.0pre5, this fixes the chown giveaway bug

Revision 1.455  2003/08/04 09:23:57  qboosh
- any sed is already required by rpm-build - removed BR

Revision 1.454  2003/08/02 22:26:50  areq
- megaraid-v1.18j

Revision 1.453  2003/08/02 21:07:54  arekm
- trying to switch from new sed to perl (it's in BR)

Revision 1.452  2003/08/01 20:55:36  areq
- s/BR:perl/BR:perl-base/

Revision 1.451  2003/07/29 20:22:51  areq
- squashfs 1.3-2.4.21
- release 1.3

Revision 1.450  2003/07/23 01:00:22  undefine
- add pt_BR/es translations

Revision 1.449  2003/07/20 12:42:25  areq
- kernel-headers provides kernel-headers(netfilter) = 1.2.8-%{netfilter_snap}

Revision 1.448  2003/07/20 10:57:55  arekm
- by default build with support for glibc-kernel-headers

Revision 1.447  2003/07/18 23:16:43  arekm
- updated device-mapper to latest one (required to compile latest stable lvm2 tools)
- added htb fixes from devik's page
- added esfq scheduler
- rel 1.2

Revision 1.446  2003/07/17 17:49:18  baggins
- moved some pcmcia drivers to proper packages

Revision 1.445  2003/07/15 14:31:46  baggins
- added megaraid update

Revision 1.444  2003/07/14 18:26:22  baggins
- now we can build DRM on i386

Revision 1.443  2003/07/14 18:25:26  baggins
- added linux-drm-4.2.0-force-cmpxchg.patch

Revision 1.442  2003/07/14 08:09:10  cieciwa
- repair my mistake.

Revision 1.440  2003/07/13 19:21:50  baggins
- no drm on i386 due to lack of cmpxchg

Revision 1.439  2003/07/11 14:34:53  baggins
- release 1.1
- working on sparc configs
- added aic-mmapio and atm fixes by ankry

Revision 1.438  2003/07/07 01:15:12  baggins
- release 1
- ix86, ppc and sparc done :)
- cleaned up requires/provides

Revision 1.437  2003/07/04 16:33:06  baggins
- really fix i386 build

Revision 1.436  2003/07/04 14:51:52  baggins
- fixed i386 compilation

Revision 1.435  2003/07/03 17:11:55  baggins
- remove last patch, it was a mistake

Revision 1.434  2003/07/03 17:05:30  baggins
- avoid unneccessary xfs recompilations

Revision 1.433  2003/07/01 12:20:14  baggins
- added gcc3 fixes for sparc

Revision 1.432  2003/06/30 21:54:26  baggins
- fixed url for vbr patch

Revision 1.431  2003/06/30 17:39:36  baggins
- added linux-2.4.21-agp-num_of_masks.patch

Revision 1.430  2003/06/30 08:04:13  baggins
- release 0.7
- use new sed (br added)
- added stack protection from owl
- added grsec with pax killed

Revision 1.429  2003/06/29 17:05:59  baggins
- release 0.6
- trying to solve chicken-egg problem between hpt366 and ide-disk

Revision 1.428  2003/06/28 22:47:02  baggins
- release 0.5
- replaced dzimi's ide fixes with ac4 ide with my additions
- ide done
- conflicts old linux-atm because of vbr patch
- typo
- removed unnecessary stuff
- cut down changelog

Revision 1.427  2003/06/27 17:31:57  baggins
- release 0.4
- added gcc 3.3 patch
- fixed %files
- it builds now
- todo - more modular ide fixes, OWL, grsec

Revision 1.426  2003/06/26 17:49:15  baggins
- added gcc33 patch
- started updating configs

Revision 1.425  2003/06/18 16:40:07  baggins
- release 0.3
- added patch by dzimi that allows building modular ide

Revision 1.424  2003/06/17 18:35:12  baggins
- commented out andrea-fix-pausing-5 patch, it killed kenny

Revision 1.423  2003/06/17 15:36:59  baggins
- removed ippersonality, it's aoutdated and unmaintained
- new netfilter (20030616)
- updated freeswan patch to 2.00
- updated XFS patches to 1.3.0pre2
- device-mapper 2.4.20-10
- EVMS 2.0.1 - disabled due to conflict with lvm2
- latest AIC7xxx/79xx driver
- nfs silly rename race fix
- updated patches that needed updating ;)
- %prep stage working

Revision 1.422  2003/06/16 15:16:29  ankry
- added URLs to patches

Revision 1.421  2003/06/16 14:09:15  ankry
- patch patch instead of modifying tar: fix Source9 md5 and make distfiles happy

Revision 1.420  2003/06/13 17:45:45  baggins
- reiserfs stuff commented out temp.

Revision 1.419  2003/06/13 16:31:07  baggins
- 2.4.21
- updated UML patches
- added reiserfs ACL/XATTR patches

Revision 1.418  2003/06/06 12:33:21  qboosh
- updated feedback address

Revision 1.417  2003/06/02 15:49:35  ankry
- switched to .bz2 source
- removed bobus changelog

Revision 1.415  2003/06/02 13:33:11  baggins
- typo

Revision 1.414  2003/06/02 12:59:36  baggins
- md5 updated

Revision 1.413  2003/06/02 12:08:31  baggins
- up to rc6
- jfs 1.1.2
- ntfs 2.1.4a
- updated xattr and acl patches
- squashfs 1.2
- brand new ATM fixes

Revision 1.412  2003/05/30 18:23:37  baggins
- fixed md5 for source8

Revision 1.411  2003/05/30 18:18:47  baggins
- updated xfree drm to 4.3.0

Revision 1.410  2003/05/28 12:59:20  malekith
- massive attack: source-md5

Revision 1.409  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.408  2003/05/25 05:49:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.407  2003/05/22 12:50:27  baggins
- cleaning up small patches

Revision 1.406  2003/04/08 10:34:12  ankry
- added URL to the pre-patch

Revision 1.405  2003/04/07 15:34:57  ankry
- switched to bz2 source

Revision 1.404  2003/04/07 14:12:55  baggins
- removed obsoleted patches

Revision 1.403  2003/04/07 12:24:41  baggins
- too many fixes are bad, removed patch16

Revision 1.402  2003/04/01 13:58:42  qboosh
- fixed %clean, spell checking, added missing pl summaries

Revision 1.401  2003/03/28 15:10:55  baggins
- started work on 2.4.21-pre6
- 2.4.20 seems to have serious VM problems
